------------------------------------------------------------
-- VHDL FPGAMFO6
-- 2021 9 2 10 12 22
-- Created By "Altium Designer VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 16.1.12.290
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGAMFO6
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity FPGAMFO6 Is
  port
  (
    X_1PPS_PARITY   : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=1PPS_PARITY
    CLK             : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=CLK
    CNT             : In    STD_LOGIC_VECTOR(25 Downto 0);   -- ObjectKind=Port|PrimaryId=CNT[25..0]
    EXT1PPS         : Out   STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=EXT1PPS[31..0]
    EXT1PPS_ON      : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=EXT1PPS_ON
    GPS1PPS         : Out   STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=GPS1PPS[31..0]
    GPS             : Out   STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=GPS[31..0]
    GPS_1PPS        : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=GPS_1PPS
    GPS_ERRC        : Out   STD_LOGIC_VECTOR(2 Downto 0);    -- ObjectKind=Port|PrimaryId=GPS_ERRC[2..0]
    GPS_ERROR       : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=GPS_ERROR
    GPS_LOCKED      : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=GPS_LOCKED
    GPS_ON          : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=GPS_ON
    GPS_RXD         : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=GPS_RXD
    GPS_STAT        : Out   STD_LOGIC_VECTOR(255 Downto 0);  -- ObjectKind=Port|PrimaryId=GPS_STAT[255..0]
    GPS_TXD         : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=GPS_TXD
    GPSRCV          : In    STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=GPSRCV[31..0]
    IN_1PPS         : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=IN_1PPS
    INT_1PPS        : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=INT_1PPS
    JTAG_NEXUS_TCK  : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TCK
    JTAG_NEXUS_TDI  : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TDI
    JTAG_NEXUS_TDO  : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TDO
    JTAG_NEXUS_TMS  : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TMS
    JTAG_NEXUS_TRST : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TRST
    LEAP            : Out   STD_LOGIC_VECTOR(15 Downto 0);   -- ObjectKind=Port|PrimaryId=LEAP[15..0]
    LED_EXT         : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=LED_EXT
    LED_GPS         : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=LED_GPS
    LEDSYNC         : In    STD_LOGIC_VECTOR(3 Downto 0);    -- ObjectKind=Port|PrimaryId=LEDSYNC[3..0]
    MASTER          : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=MASTER
    POSHOLD         : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=POSHOLD
    REF_1PPS        : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=REF_1PPS
    RST             : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=RST
    UNHOLD          : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=UNHOLD
    UPRCV           : In    STD_LOGIC                        -- ObjectKind=Port|PrimaryId=UPRCV
  );
  attribute MacroCell : boolean;


End FPGAMFO6;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGAMFO6 Is
   Component AND2N1S                                         -- ObjectKind=Part|PrimaryId=U181|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U181-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U181-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U181-O
      );
   End Component;

   Component CB4CEB                                          -- ObjectKind=Part|PrimaryId=U188|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U188-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U188-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U188-CEO
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U188-CLR
        Q   : out STD_LOGIC_VECTOR(3 Downto 0);              -- ObjectKind=Pin|PrimaryId=U188-Q[3..0]
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U188-TC
      );
   End Component;

   Component CB32REB                                         -- ObjectKind=Part|PrimaryId=U187|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U187-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U187-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U187-CEO
        Q   : out STD_LOGIC_VECTOR(31 Downto 0);             -- ObjectKind=Pin|PrimaryId=U187-Q[31..0]
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U187-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U187-TC
      );
   End Component;

   Component Configurable_U84                                -- ObjectKind=Part|PrimaryId=U84|SecondaryId=1
      port
      (
        I  : in  STD_LOGIC_VECTOR(3 Downto 0);               -- ObjectKind=Pin|PrimaryId=U84-I[3..0]
        O0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U84-O0
        O1 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U84-O1
        O2 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U84-O2
        O3 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U84-O3
      );
   End Component;

   Component Configurable_U_GPS                              -- ObjectKind=Part|PrimaryId=U_GPS|SecondaryId=1
      port
      (
        GPS      : in  STD_LOGIC_VECTOR(31 Downto 0);        -- ObjectKind=Pin|PrimaryId=U_GPS-GPS[31..0]
        GPS_1PPS : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_GPS-GPS_1PPS
        GPS_ON   : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_GPS-GPS_ON
        GPSERR   : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_GPS-GPSERR
        LOCK     : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_GPS-LOCK
        MSG1     : in  STD_LOGIC_VECTOR(7 Downto 0);         -- ObjectKind=Pin|PrimaryId=U_GPS-MSG1[7..0]
        MSG2     : in  STD_LOGIC_VECTOR(7 Downto 0);         -- ObjectKind=Pin|PrimaryId=U_GPS-MSG2[7..0]
        MSG3     : in  STD_LOGIC_VECTOR(7 Downto 0);         -- ObjectKind=Pin|PrimaryId=U_GPS-MSG3[7..0]
        MSG4     : in  STD_LOGIC_VECTOR(7 Downto 0);         -- ObjectKind=Pin|PrimaryId=U_GPS-MSG4[7..0]
        TCK      : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_GPS-TCK
        TDI      : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_GPS-TDI
        TDO      : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_GPS-TDO
        TMS      : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_GPS-TMS
        TRST     : in  STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=U_GPS-TRST
      );
   End Component;

   Component FD                                              -- ObjectKind=Part|PrimaryId=U183|SecondaryId=1
      port
      (
        C : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U183-C
        D : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U183-D
        Q : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U183-Q
      );
   End Component;

   Component FD4S                                            -- ObjectKind=Part|PrimaryId=U194|SecondaryId=1
      port
      (
        C  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U194-C
        D0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U194-D0
        D1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U194-D1
        D2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U194-D2
        D3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U194-D3
        Q0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U194-Q0
        Q1 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U194-Q1
        Q2 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U194-Q2
        Q3 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U194-Q3
      );
   End Component;

   Component FTC                                             -- ObjectKind=Part|PrimaryId=U218|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U218-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U218-CLR
        Q   : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U218-Q
        T   : in  STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U218-T
      );
   End Component;

   Component GPSReceiver                                     -- ObjectKind=Sheet Symbol|PrimaryId=U_receive
      port
      (
        CLK     : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-CLK
        CRCERR  : out STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-CRCERR
        D       : in  STD_LOGIC_VECTOR(7 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-D[7..0]
        DATE    : out STD_LOGIC_VECTOR(7 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-DATE[7..0]
        ERR     : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-ERR
        FIRST   : out STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-FIRST
        HALT    : out STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-HALT
        INIT    : out STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-INIT
        LEAP    : out STD_LOGIC_VECTOR(15 Downto 0);         -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-LEAP[15..0]
        LOAD    : out STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-LOAD
        LOCK    : out STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-LOCK
        MESG1   : out STD_LOGIC_VECTOR(7 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-MESG1[7..0]
        MESG2   : out STD_LOGIC_VECTOR(7 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-MESG2[7..0]
        MESG3   : out STD_LOGIC_VECTOR(7 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-MESG3[7..0]
        MESG4   : out STD_LOGIC_VECTOR(7 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-MESG4[7..0]
        OK      : out STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-OK
        ONEPPS  : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-ONEPPS
        PRESENT : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-PRESENT
        RDY     : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-RDY
        RST     : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-RST
        STAT    : out STD_LOGIC_VECTOR(255 Downto 0)         -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-STAT[255..0]
      );
   End Component;

   Component GPSTiming                                       -- ObjectKind=Sheet Symbol|PrimaryId=U_gpstime
      port
      (
        CLK        : in  STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-CLK
        CNT        : in  STD_LOGIC_VECTOR(25 Downto 0);      -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-CNT[25..0]
        GPS        : out STD_LOGIC_VECTOR(31 Downto 0);      -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-GPS[31..0]
        GPS_ERRC   : out STD_LOGIC_VECTOR(2 Downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-GPS_ERRC[2..0]
        GPS_GPS    : in  STD_LOGIC_VECTOR(31 Downto 0);      -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-GPS_GPS[31..0]
        GPS_LEAP   : in  STD_LOGIC_VECTOR(15 Downto 0);      -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-GPS_LEAP[15..0]
        GPS_LOCKED : in  STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-GPS_LOCKED
        GPS_VALID  : in  STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-GPS_VALID
        GPSRCV     : in  STD_LOGIC_VECTOR(31 Downto 0);      -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-GPSRCV[31..0]
        LEAP       : out STD_LOGIC_VECTOR(15 Downto 0);      -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-LEAP[15..0]
        MASTER     : in  STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-MASTER
        RST        : in  STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-RST
        UPRCV      : in  STD_LOGIC                           -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-UPRCV
      );
   End Component;

   Component gpstransmitter                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_gpstransmitter
      port
      (
        BUSY    : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-BUSY
        CLK     : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-CLK
        D       : out STD_LOGIC_VECTOR(7 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-D[7..0]
        HALT    : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-HALT
        INIT    : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-INIT
        LD      : out STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-LD
        POSHOLD : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-POSHOLD
        PPS     : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-PPS
        RST     : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-RST
        UNHOLD  : in  STD_LOGIC                              -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-UNHOLD
      );
   End Component;

   Component INV                                             -- ObjectKind=Part|PrimaryId=U186|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U186-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U186-O
      );
   End Component;

   Component M1_S2S1                                         -- ObjectKind=Part|PrimaryId=U190|SecondaryId=1
      port
      (
        D0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U190-D0
        D1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U190-D1
        O  : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U190-O
        S0 : in  STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U190-S0
      );
   End Component;

   Component M1_S4S1                                         -- ObjectKind=Part|PrimaryId=U185|SecondaryId=1
      port
      (
        D0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U185-D0
        D1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U185-D1
        D2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U185-D2
        D3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U185-D3
        O  : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U185-O
        S0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U185-S0
        S1 : in  STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U185-S1
      );
   End Component;

   Component OnePPSCounter                                   -- ObjectKind=Sheet Symbol|PrimaryId=TimeDifferance2
      port
      (
        CLK   : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-CLK
        COUNT : out STD_LOGIC_VECTOR(31 Downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-COUNT[31..0]
        INA   : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INA
        INB   : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INB
        VALID : out STD_LOGIC                                -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-VALID
      );
   End Component;

   Component OR2S                                            -- ObjectKind=Part|PrimaryId=U182|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U182-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U182-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U182-O
      );
   End Component;

   Component timedecoder                                     -- ObjectKind=Sheet Symbol|PrimaryId=U_timedecoder
      port
      (
        CLK   : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=TimeDecoder.Vhd-CLK
        DATE  : in  STD_LOGIC_VECTOR(7 Downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=TimeDecoder.Vhd-DATE[7..0]
        ERR   : out STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=TimeDecoder.Vhd-ERR
        FIRST : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=TimeDecoder.Vhd-FIRST
        GPS   : out STD_LOGIC_VECTOR(31 Downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=TimeDecoder.Vhd-GPS[31..0]
        LOAD  : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=TimeDecoder.Vhd-LOAD
        OK    : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=TimeDecoder.Vhd-OK
        RESET : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=TimeDecoder.Vhd-RESET
        VALID : out STD_LOGIC                                -- ObjectKind=Sheet Entry|PrimaryId=TimeDecoder.Vhd-VALID
      );
   End Component;

   Component UART                                            -- ObjectKind=Sheet Symbol|PrimaryId=U_uart_GPS
      port
      (
        BUSY : out STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-BUSY
        CLK  : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-CLK
        DIN  : in  STD_LOGIC_VECTOR(7 Downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-DIN[7..0]
        DIV  : in  STD_LOGIC_VECTOR(15 Downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-DIV[15..0]
        DOUT : out STD_LOGIC_VECTOR(7 Downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-DOUT[7..0]
        ERR  : out STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-ERR
        LD   : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-LD
        RDY  : out STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-RDY
        RST  : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-RST
        RX   : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-RX
        TX   : out STD_LOGIC                                 -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-TX
      );
   End Component;


    Signal NamedSignal_C1DIV               : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=C1DIV[15..0]
    Signal NamedSignal_CLK                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK
    Signal NamedSignal_ERROR               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ERROR
    Signal NamedSignal_EXT1PPS             : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=EXT1PPS[31..0]
    Signal NamedSignal_GPS                 : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GPS[31..0]
    Signal NamedSignal_GPS_1PPS            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GPS_1PPS
    Signal NamedSignal_GPS_ON              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GPS_ON
    Signal NamedSignal_GPS_RXD             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GPS_RXD
    Signal NamedSignal_GPS_TXD             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GPS_TXD
    Signal NamedSignal_GPS1PPS             : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GPS1PPS[31..0]
    Signal NamedSignal_GPSQ                : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GPSQ[31..0]
    Signal NamedSignal_HALT                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HALT
    Signal NamedSignal_IN_1PPS             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_1PPS
    Signal NamedSignal_IN_ON               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_ON
    Signal NamedSignal_INIT                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INIT
    Signal NamedSignal_INQ                 : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=INQ[31..0]
    Signal NamedSignal_INT_1PPS            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INT_1PPS
    Signal NamedSignal_INTL                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTL
    Signal NamedSignal_LEAP                : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=LEAP[15..0]
    Signal NamedSignal_LOCK                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LOCK
    Signal NamedSignal_MSG1                : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=MSG1[7..0]
    Signal NamedSignal_MSG2                : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=MSG2[7..0]
    Signal NamedSignal_MSG3                : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=MSG3[7..0]
    Signal NamedSignal_MSG4                : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=MSG4[7..0]
    Signal NamedSignal_RST                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST
    Signal PinSignal_TimeDifferance2_COUNT : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GPS1PPS[31..0]
    Signal PinSignal_TimeDifferance2_VALID : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GPS1PPS_VALID
    Signal PinSignal_TimeDifferance3_COUNT : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=EXT1PPS[31..0]
    Signal PinSignal_TimeDifferance3_VALID : STD_LOGIC; -- ObjectKind=Net|PrimaryId=EXT1PPS_VALID
    Signal PinSignal_U_GPS_TDO             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_GPS_TDO
    Signal PinSignal_U_gpstime_GPS         : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GPS[31..0]
    Signal PinSignal_U_gpstime_GPS_ERRC    : STD_LOGIC_VECTOR(2 Downto 0); -- ObjectKind=Net|PrimaryId=GPS_ERRC[2..0]
    Signal PinSignal_U_gpstime_LEAP        : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=LEAP[15..0]
    Signal PinSignal_U_gpstransmitter_D    : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=DIN[7..0]
    Signal PinSignal_U_gpstransmitter_LD   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LD
    Signal PinSignal_U_receive_CRCERR      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU184_I1
    Signal PinSignal_U_receive_DATE        : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=DATE[7..0]
    Signal PinSignal_U_receive_FIRST       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=FIRST
    Signal PinSignal_U_receive_HALT        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HALT
    Signal PinSignal_U_receive_INIT        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INTL
    Signal PinSignal_U_receive_LEAP        : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=LEAP[15..0]
    Signal PinSignal_U_receive_LOAD        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LOAD
    Signal PinSignal_U_receive_LOCK        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LOCK
    Signal PinSignal_U_receive_MESG1       : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=MSG1[7..0]
    Signal PinSignal_U_receive_MESG2       : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=MSG2[7..0]
    Signal PinSignal_U_receive_MESG3       : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=MSG3[7..0]
    Signal PinSignal_U_receive_MESG4       : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=MSG4[7..0]
    Signal PinSignal_U_receive_OK          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OK
    Signal PinSignal_U_receive_STAT        : STD_LOGIC_VECTOR(255 Downto 0); -- ObjectKind=Net|PrimaryId=GPS_STAT[255..0]
    Signal PinSignal_U_timedecoder_ERR     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU184_I0
    Signal PinSignal_U_timedecoder_GPS     : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GPS_GPS
    Signal PinSignal_U_timedecoder_VALID   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GPS_VALID
    Signal PinSignal_U_uart_GPS_BUSY       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BUSY
    Signal PinSignal_U_uart_GPS_DOUT       : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=DOUT[7..0]
    Signal PinSignal_U_uart_GPS_ERR        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ERR
    Signal PinSignal_U_uart_GPS_RDY        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RDY
    Signal PinSignal_U_uart_GPS_TX         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GPS_RXD
    Signal PinSignal_U181_O                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INIT
    Signal PinSignal_U182_O                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU181_I1
    Signal PinSignal_U183_Q                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU181_I0
    Signal PinSignal_U184_O                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ERROR
    Signal PinSignal_U185_O                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU185_O
    Signal PinSignal_U186_O                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU186_O
    Signal PinSignal_U187_Q                : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GPSQ[31..0]
    Signal PinSignal_U188_TC               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GPS_ON
    Signal PinSignal_U190_O                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=REF_1PPS
    Signal PinSignal_U192_O                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU187_R
    Signal PinSignal_U193_O                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU193_O
    Signal PinSignal_U194_Q0               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU192_I1
    Signal PinSignal_U194_Q1               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU192_I0
    Signal PinSignal_U194_Q2               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU194_D3
    Signal PinSignal_U194_Q3               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU194_Q3
    Signal PinSignal_U195_Q                : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=INQ[31..0]
    Signal PinSignal_U196_TC               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_ON
    Signal PinSignal_U197_O                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU195_R
    Signal PinSignal_U218_Q                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU218_Q
    Signal PinSignal_U84_O0                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU84_O0
    Signal PinSignal_U84_O1                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU84_O1
    Signal PinSignal_U84_O2                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU84_O2
    Signal PinSignal_U84_O3                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU84_O3
    Signal PowerSignal_GND                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC


Begin
    U_uart_GPS : UART                                        -- ObjectKind=Sheet Symbol|PrimaryId=U_uart_GPS
      Port Map
      (
        BUSY => PinSignal_U_uart_GPS_BUSY,                   -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-BUSY
        CLK  => NamedSignal_CLK,                             -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-CLK
        DIN  => PinSignal_U_gpstransmitter_D,                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-DIN[7..0]
        DIV  => NamedSignal_C1DIV,                           -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-DIV[15..0]
        DOUT => PinSignal_U_uart_GPS_DOUT,                   -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-DOUT[7..0]
        ERR  => PinSignal_U_uart_GPS_ERR,                    -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-ERR
        LD   => PinSignal_U_gpstransmitter_LD,               -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-LD
        RDY  => PinSignal_U_uart_GPS_RDY,                    -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-RDY
        RST  => NamedSignal_RST,                             -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-RST
        RX   => NamedSignal_GPS_TXD,                         -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-RX
        TX   => PinSignal_U_uart_GPS_TX                      -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-TX
      );

    U_timedecoder : timedecoder                              -- ObjectKind=Sheet Symbol|PrimaryId=U_timedecoder
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=TimeDecoder.Vhd-CLK
        DATE  => PinSignal_U_receive_DATE,                   -- ObjectKind=Sheet Entry|PrimaryId=TimeDecoder.Vhd-DATE[7..0]
        ERR   => PinSignal_U_timedecoder_ERR,                -- ObjectKind=Sheet Entry|PrimaryId=TimeDecoder.Vhd-ERR
        FIRST => PinSignal_U_receive_FIRST,                  -- ObjectKind=Sheet Entry|PrimaryId=TimeDecoder.Vhd-FIRST
        GPS   => PinSignal_U_timedecoder_GPS,                -- ObjectKind=Sheet Entry|PrimaryId=TimeDecoder.Vhd-GPS[31..0]
        LOAD  => PinSignal_U_receive_LOAD,                   -- ObjectKind=Sheet Entry|PrimaryId=TimeDecoder.Vhd-LOAD
        OK    => PinSignal_U_receive_OK,                     -- ObjectKind=Sheet Entry|PrimaryId=TimeDecoder.Vhd-OK
        RESET => NamedSignal_RST,                            -- ObjectKind=Sheet Entry|PrimaryId=TimeDecoder.Vhd-RESET
        VALID => PinSignal_U_timedecoder_VALID               -- ObjectKind=Sheet Entry|PrimaryId=TimeDecoder.Vhd-VALID
      );

    U_receive : GPSReceiver                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_receive
      Port Map
      (
        CLK     => NamedSignal_CLK,                          -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-CLK
        CRCERR  => PinSignal_U_receive_CRCERR,               -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-CRCERR
        D       => PinSignal_U_uart_GPS_DOUT,                -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-D[7..0]
        DATE    => PinSignal_U_receive_DATE,                 -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-DATE[7..0]
        ERR     => PinSignal_U_uart_GPS_ERR,                 -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-ERR
        FIRST   => PinSignal_U_receive_FIRST,                -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-FIRST
        HALT    => PinSignal_U_receive_HALT,                 -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-HALT
        INIT    => PinSignal_U_receive_INIT,                 -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-INIT
        LEAP    => PinSignal_U_receive_LEAP,                 -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-LEAP[15..0]
        LOAD    => PinSignal_U_receive_LOAD,                 -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-LOAD
        LOCK    => PinSignal_U_receive_LOCK,                 -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-LOCK
        MESG1   => PinSignal_U_receive_MESG1,                -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-MESG1[7..0]
        MESG2   => PinSignal_U_receive_MESG2,                -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-MESG2[7..0]
        MESG3   => PinSignal_U_receive_MESG3,                -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-MESG3[7..0]
        MESG4   => PinSignal_U_receive_MESG4,                -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-MESG4[7..0]
        OK      => PinSignal_U_receive_OK,                   -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-OK
        ONEPPS  => NamedSignal_INT_1PPS,                     -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-ONEPPS
        PRESENT => PowerSignal_VCC,                          -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-PRESENT
        RDY     => PinSignal_U_uart_GPS_RDY,                 -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-RDY
        RST     => NamedSignal_RST,                          -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-RST
        STAT    => PinSignal_U_receive_STAT                  -- ObjectKind=Sheet Entry|PrimaryId=GPSReceiver.Vhd-STAT[255..0]
      );

    U_gpstransmitter : gpstransmitter                        -- ObjectKind=Sheet Symbol|PrimaryId=U_gpstransmitter
      Port Map
      (
        BUSY    => PinSignal_U_uart_GPS_BUSY,                -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-BUSY
        CLK     => NamedSignal_CLK,                          -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-CLK
        D       => PinSignal_U_gpstransmitter_D,             -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-D[7..0]
        HALT    => NamedSignal_HALT,                         -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-HALT
        INIT    => NamedSignal_INIT,                         -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-INIT
        LD      => PinSignal_U_gpstransmitter_LD,            -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-LD
        POSHOLD => POSHOLD,                                  -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-POSHOLD
        PPS     => NamedSignal_INT_1PPS,                     -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-PPS
        RST     => NamedSignal_RST,                          -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-RST
        UNHOLD  => UNHOLD                                    -- ObjectKind=Sheet Entry|PrimaryId=GPSTransmitter.Vhd-UNHOLD
      );

    U_gpstime : GPSTiming                                    -- ObjectKind=Sheet Symbol|PrimaryId=U_gpstime
      Port Map
      (
        CLK        => NamedSignal_CLK,                       -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-CLK
        CNT        => CNT,                                   -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-CNT[25..0]
        GPS        => PinSignal_U_gpstime_GPS,               -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-GPS[31..0]
        GPS_ERRC   => PinSignal_U_gpstime_GPS_ERRC,          -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-GPS_ERRC[2..0]
        GPS_GPS    => PinSignal_U_timedecoder_GPS,           -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-GPS_GPS[31..0]
        GPS_LEAP   => NamedSignal_LEAP,                      -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-GPS_LEAP[15..0]
        GPS_LOCKED => NamedSignal_LOCK,                      -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-GPS_LOCKED
        GPS_VALID  => PinSignal_U_timedecoder_VALID,         -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-GPS_VALID
        GPSRCV     => GPSRCV,                                -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-GPSRCV[31..0]
        LEAP       => PinSignal_U_gpstime_LEAP,              -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-LEAP[15..0]
        MASTER     => MASTER,                                -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-MASTER
        RST        => NamedSignal_RST,                       -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-RST
        UPRCV      => UPRCV                                  -- ObjectKind=Sheet Entry|PrimaryId=GPSTiming.Vhd-UPRCV
      );

    TimeDifferance3 : OnePPSCounter                          -- ObjectKind=Sheet Symbol|PrimaryId=TimeDifferance3
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-CLK
        COUNT => PinSignal_TimeDifferance3_COUNT,            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-COUNT[31..0]
        INA   => NamedSignal_INT_1PPS,                       -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INA
        INB   => NamedSignal_IN_1PPS,                        -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INB
        VALID => PinSignal_TimeDifferance3_VALID             -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-VALID
      );

    TimeDifferance2 : OnePPSCounter                          -- ObjectKind=Sheet Symbol|PrimaryId=TimeDifferance2
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-CLK
        COUNT => PinSignal_TimeDifferance2_COUNT,            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-COUNT[31..0]
        INA   => NamedSignal_INT_1PPS,                       -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INA
        INB   => NamedSignal_GPS_1PPS,                       -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INB
        VALID => PinSignal_TimeDifferance2_VALID             -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-VALID
      );

    U_GPS : Configurable_U_GPS                               -- ObjectKind=Part|PrimaryId=U_GPS|SecondaryId=1
      Port Map
      (
        GPS      => NamedSignal_GPS,                         -- ObjectKind=Pin|PrimaryId=U_GPS-GPS[31..0]
        GPS_1PPS => PinSignal_U218_Q,                        -- ObjectKind=Pin|PrimaryId=U_GPS-GPS_1PPS
        GPS_ON   => NamedSignal_GPS_ON,                      -- ObjectKind=Pin|PrimaryId=U_GPS-GPS_ON
        GPSERR   => NamedSignal_ERROR,                       -- ObjectKind=Pin|PrimaryId=U_GPS-GPSERR
        LOCK     => NamedSignal_LOCK,                        -- ObjectKind=Pin|PrimaryId=U_GPS-LOCK
        MSG1     => NamedSignal_MSG1,                        -- ObjectKind=Pin|PrimaryId=U_GPS-MSG1[7..0]
        MSG2     => NamedSignal_MSG2,                        -- ObjectKind=Pin|PrimaryId=U_GPS-MSG2[7..0]
        MSG3     => NamedSignal_MSG3,                        -- ObjectKind=Pin|PrimaryId=U_GPS-MSG3[7..0]
        MSG4     => NamedSignal_MSG4,                        -- ObjectKind=Pin|PrimaryId=U_GPS-MSG4[7..0]
        TCK      => JTAG_NEXUS_TCK,                          -- ObjectKind=Pin|PrimaryId=U_GPS-TCK
        TDI      => JTAG_NEXUS_TDI,                          -- ObjectKind=Pin|PrimaryId=U_GPS-TDI
        TDO      => PinSignal_U_GPS_TDO,                     -- ObjectKind=Pin|PrimaryId=U_GPS-TDO
        TMS      => JTAG_NEXUS_TMS,                          -- ObjectKind=Pin|PrimaryId=U_GPS-TMS
        TRST     => JTAG_NEXUS_TRST                          -- ObjectKind=Pin|PrimaryId=U_GPS-TRST
      );

    U218 : FTC                                               -- ObjectKind=Part|PrimaryId=U218|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_GPS_1PPS,                         -- ObjectKind=Pin|PrimaryId=U218-C
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U218-CLR
        Q   => PinSignal_U218_Q,                             -- ObjectKind=Pin|PrimaryId=U218-Q
        T   => PowerSignal_VCC                               -- ObjectKind=Pin|PrimaryId=U218-T
      );

    U197 : AND2N1S                                           -- ObjectKind=Part|PrimaryId=U197|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U194_Q3,                             -- ObjectKind=Pin|PrimaryId=U197-I0
        I1 => PinSignal_U194_Q2,                             -- ObjectKind=Pin|PrimaryId=U197-I1
        O  => PinSignal_U197_O                               -- ObjectKind=Pin|PrimaryId=U197-O
      );

    U196 : CB4CEB                                            -- ObjectKind=Part|PrimaryId=U196|SecondaryId=1
      Port Map
      (
        C   => PinSignal_U197_O,                             -- ObjectKind=Pin|PrimaryId=U196-C
        CE  => PinSignal_U193_O,                             -- ObjectKind=Pin|PrimaryId=U196-CE
        CLR => NamedSignal_INQ(27),                          -- ObjectKind=Pin|PrimaryId=U196-CLR
        TC  => PinSignal_U196_TC                             -- ObjectKind=Pin|PrimaryId=U196-TC
      );

    U195 : CB32REB                                           -- ObjectKind=Part|PrimaryId=U195|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U195-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U195-CE
        Q  => PinSignal_U195_Q,                              -- ObjectKind=Pin|PrimaryId=U195-Q[31..0]
        R  => PinSignal_U197_O                               -- ObjectKind=Pin|PrimaryId=U195-R
      );

    U194 : FD4S                                              -- ObjectKind=Part|PrimaryId=U194|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U194-C
        D0 => GPS_1PPS,                                      -- ObjectKind=Pin|PrimaryId=U194-D0
        D1 => PinSignal_U194_Q0,                             -- ObjectKind=Pin|PrimaryId=U194-D1
        D2 => IN_1PPS,                                       -- ObjectKind=Pin|PrimaryId=U194-D2
        D3 => PinSignal_U194_Q2,                             -- ObjectKind=Pin|PrimaryId=U194-D3
        Q0 => PinSignal_U194_Q0,                             -- ObjectKind=Pin|PrimaryId=U194-Q0
        Q1 => PinSignal_U194_Q1,                             -- ObjectKind=Pin|PrimaryId=U194-Q1
        Q2 => PinSignal_U194_Q2,                             -- ObjectKind=Pin|PrimaryId=U194-Q2
        Q3 => PinSignal_U194_Q3                              -- ObjectKind=Pin|PrimaryId=U194-Q3
      );

    U193 : INV                                               -- ObjectKind=Part|PrimaryId=U193|SecondaryId=1
      Port Map
      (
        I => PinSignal_U196_TC,                              -- ObjectKind=Pin|PrimaryId=U193-I
        O => PinSignal_U193_O                                -- ObjectKind=Pin|PrimaryId=U193-O
      );

    U192 : AND2N1S                                           -- ObjectKind=Part|PrimaryId=U192|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U194_Q1,                             -- ObjectKind=Pin|PrimaryId=U192-I0
        I1 => PinSignal_U194_Q0,                             -- ObjectKind=Pin|PrimaryId=U192-I1
        O  => PinSignal_U192_O                               -- ObjectKind=Pin|PrimaryId=U192-O
      );

    U190 : M1_S2S1                                           -- ObjectKind=Part|PrimaryId=U190|SecondaryId=1
      Port Map
      (
        D0 => NamedSignal_GPS_1PPS,                          -- ObjectKind=Pin|PrimaryId=U190-D0
        D1 => NamedSignal_IN_1PPS,                           -- ObjectKind=Pin|PrimaryId=U190-D1
        O  => PinSignal_U190_O,                              -- ObjectKind=Pin|PrimaryId=U190-O
        S0 => PinSignal_U196_TC                              -- ObjectKind=Pin|PrimaryId=U190-S0
      );

    U188 : CB4CEB                                            -- ObjectKind=Part|PrimaryId=U188|SecondaryId=1
      Port Map
      (
        C   => PinSignal_U192_O,                             -- ObjectKind=Pin|PrimaryId=U188-C
        CE  => PinSignal_U186_O,                             -- ObjectKind=Pin|PrimaryId=U188-CE
        CLR => NamedSignal_GPSQ(27),                         -- ObjectKind=Pin|PrimaryId=U188-CLR
        TC  => PinSignal_U188_TC                             -- ObjectKind=Pin|PrimaryId=U188-TC
      );

    U187 : CB32REB                                           -- ObjectKind=Part|PrimaryId=U187|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U187-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U187-CE
        Q  => PinSignal_U187_Q,                              -- ObjectKind=Pin|PrimaryId=U187-Q[31..0]
        R  => PinSignal_U192_O                               -- ObjectKind=Pin|PrimaryId=U187-R
      );

    U186 : INV                                               -- ObjectKind=Part|PrimaryId=U186|SecondaryId=1
      Port Map
      (
        I => PinSignal_U188_TC,                              -- ObjectKind=Pin|PrimaryId=U186-I
        O => PinSignal_U186_O                                -- ObjectKind=Pin|PrimaryId=U186-O
      );

    U185 : M1_S4S1                                           -- ObjectKind=Part|PrimaryId=U185|SecondaryId=1
      Port Map
      (
        D0 => PinSignal_U84_O0,                              -- ObjectKind=Pin|PrimaryId=U185-D0
        D1 => PinSignal_U84_O1,                              -- ObjectKind=Pin|PrimaryId=U185-D1
        D2 => PinSignal_U84_O2,                              -- ObjectKind=Pin|PrimaryId=U185-D2
        D3 => PinSignal_U84_O3,                              -- ObjectKind=Pin|PrimaryId=U185-D3
        O  => PinSignal_U185_O,                              -- ObjectKind=Pin|PrimaryId=U185-O
        S0 => NamedSignal_LOCK,                              -- ObjectKind=Pin|PrimaryId=U185-S0
        S1 => NamedSignal_GPS_ON                             -- ObjectKind=Pin|PrimaryId=U185-S1
      );

    U184 : OR2S                                              -- ObjectKind=Part|PrimaryId=U184|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U_timedecoder_ERR,                   -- ObjectKind=Pin|PrimaryId=U184-I0
        I1 => PinSignal_U_receive_CRCERR,                    -- ObjectKind=Pin|PrimaryId=U184-I1
        O  => PinSignal_U184_O                               -- ObjectKind=Pin|PrimaryId=U184-O
      );

    U183 : FD                                                -- ObjectKind=Part|PrimaryId=U183|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CLK,                                -- ObjectKind=Pin|PrimaryId=U183-C
        D => PinSignal_U182_O,                               -- ObjectKind=Pin|PrimaryId=U183-D
        Q => PinSignal_U183_Q                                -- ObjectKind=Pin|PrimaryId=U183-Q
      );

    U182 : OR2S                                              -- ObjectKind=Part|PrimaryId=U182|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_RST,                               -- ObjectKind=Pin|PrimaryId=U182-I0
        I1 => NamedSignal_INTL,                              -- ObjectKind=Pin|PrimaryId=U182-I1
        O  => PinSignal_U182_O                               -- ObjectKind=Pin|PrimaryId=U182-O
      );

    U181 : AND2N1S                                           -- ObjectKind=Part|PrimaryId=U181|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U183_Q,                              -- ObjectKind=Pin|PrimaryId=U181-I0
        I1 => PinSignal_U182_O,                              -- ObjectKind=Pin|PrimaryId=U181-I1
        O  => PinSignal_U181_O                               -- ObjectKind=Pin|PrimaryId=U181-O
      );

    U84 : Configurable_U84                                   -- ObjectKind=Part|PrimaryId=U84|SecondaryId=1
      Port Map
      (
        I  => LEDSYNC,                                       -- ObjectKind=Pin|PrimaryId=U84-I[3..0]
        O0 => PinSignal_U84_O0,                              -- ObjectKind=Pin|PrimaryId=U84-O0
        O1 => PinSignal_U84_O1,                              -- ObjectKind=Pin|PrimaryId=U84-O1
        O2 => PinSignal_U84_O2,                              -- ObjectKind=Pin|PrimaryId=U84-O2
        O3 => PinSignal_U84_O3                               -- ObjectKind=Pin|PrimaryId=U84-O3
      );

    -- Signal Assignments
    ---------------------
    EXT1PPS              <= NamedSignal_EXT1PPS; -- ObjectKind=Net|PrimaryId=EXT1PPS[31..0]
    EXT1PPS_ON           <= PinSignal_U196_TC; -- ObjectKind=Net|PrimaryId=IN_ON
    GPS                  <= PinSignal_U_gpstime_GPS; -- ObjectKind=Net|PrimaryId=GPS[31..0]
    GPS_ERRC             <= PinSignal_U_gpstime_GPS_ERRC; -- ObjectKind=Net|PrimaryId=GPS_ERRC[2..0]
    GPS_ERROR            <= PinSignal_U184_O; -- ObjectKind=Net|PrimaryId=ERROR
    GPS_LOCKED           <= PinSignal_U_receive_LOCK; -- ObjectKind=Net|PrimaryId=LOCK
    GPS_ON               <= PinSignal_U188_TC; -- ObjectKind=Net|PrimaryId=GPS_ON
    GPS_RXD              <= NamedSignal_GPS_RXD; -- ObjectKind=Net|PrimaryId=GPS_RXD
    GPS_STAT             <= PinSignal_U_receive_STAT; -- ObjectKind=Net|PrimaryId=GPS_STAT[255..0]
    GPS1PPS              <= NamedSignal_GPS1PPS; -- ObjectKind=Net|PrimaryId=GPS1PPS[31..0]
    JTAG_NEXUS_TDO       <= PinSignal_U_GPS_TDO; -- ObjectKind=Net|PrimaryId=NetU_GPS_TDO
    LEAP                 <= PinSignal_U_gpstime_LEAP; -- ObjectKind=Net|PrimaryId=LEAP[15..0]
    LED_EXT              <= NamedSignal_IN_ON; -- ObjectKind=Net|PrimaryId=IN_ON
    LED_GPS              <= PinSignal_U185_O; -- ObjectKind=Net|PrimaryId=NetU185_O
    NamedSignal_C1DIV    <= "0000000110110100"; -- ObjectKind=Net|PrimaryId=C1DIV[15..0]
    NamedSignal_CLK      <= CLK; -- ObjectKind=Net|PrimaryId=CLK
    NamedSignal_ERROR    <= PinSignal_U184_O; -- ObjectKind=Net|PrimaryId=ERROR
    NamedSignal_EXT1PPS  <= PinSignal_TimeDifferance3_COUNT; -- ObjectKind=Net|PrimaryId=EXT1PPS[31..0]
    NamedSignal_GPS      <= PinSignal_U_gpstime_GPS; -- ObjectKind=Net|PrimaryId=GPS[31..0]
    NamedSignal_GPS_1PPS <= GPS_1PPS; -- ObjectKind=Net|PrimaryId=GPS_1PPS
    NamedSignal_GPS_ON   <= PinSignal_U188_TC; -- ObjectKind=Net|PrimaryId=GPS_ON
    NamedSignal_GPS_RXD  <= PinSignal_U_uart_GPS_TX; -- ObjectKind=Net|PrimaryId=GPS_RXD
    NamedSignal_GPS_TXD  <= GPS_TXD; -- ObjectKind=Net|PrimaryId=GPS_TXD
    NamedSignal_GPS1PPS  <= PinSignal_TimeDifferance2_COUNT; -- ObjectKind=Net|PrimaryId=GPS1PPS[31..0]
    NamedSignal_GPSQ     <= PinSignal_U187_Q; -- ObjectKind=Net|PrimaryId=GPSQ[31..0]
    NamedSignal_HALT     <= PinSignal_U_receive_HALT; -- ObjectKind=Net|PrimaryId=HALT
    NamedSignal_IN_1PPS  <= IN_1PPS; -- ObjectKind=Net|PrimaryId=IN_1PPS
    NamedSignal_IN_ON    <= PinSignal_U196_TC; -- ObjectKind=Net|PrimaryId=IN_ON
    NamedSignal_INIT     <= PinSignal_U181_O; -- ObjectKind=Net|PrimaryId=INIT
    NamedSignal_INQ      <= PinSignal_U195_Q; -- ObjectKind=Net|PrimaryId=INQ[31..0]
    NamedSignal_INT_1PPS <= INT_1PPS; -- ObjectKind=Net|PrimaryId=INT_1PPS
    NamedSignal_INTL     <= PinSignal_U_receive_INIT; -- ObjectKind=Net|PrimaryId=INTL
    NamedSignal_LEAP     <= PinSignal_U_receive_LEAP; -- ObjectKind=Net|PrimaryId=LEAP[15..0]
    NamedSignal_LOCK     <= PinSignal_U_receive_LOCK; -- ObjectKind=Net|PrimaryId=LOCK
    NamedSignal_MSG1     <= PinSignal_U_receive_MESG1; -- ObjectKind=Net|PrimaryId=MSG1[7..0]
    NamedSignal_MSG2     <= PinSignal_U_receive_MESG2; -- ObjectKind=Net|PrimaryId=MSG2[7..0]
    NamedSignal_MSG3     <= PinSignal_U_receive_MESG3; -- ObjectKind=Net|PrimaryId=MSG3[7..0]
    NamedSignal_MSG4     <= PinSignal_U_receive_MESG4; -- ObjectKind=Net|PrimaryId=MSG4[7..0]
    NamedSignal_RST      <= RST; -- ObjectKind=Net|PrimaryId=RST
    PowerSignal_GND      <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC      <= '1'; -- ObjectKind=Net|PrimaryId=VCC
    REF_1PPS             <= PinSignal_U190_O; -- ObjectKind=Net|PrimaryId=REF_1PPS

End Structure;
------------------------------------------------------------

