------------------------------------------------------------
-- VHDL FPGAMFO9
-- 2021 9 2 10 12 22
-- Created By "Altium Designer VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 16.1.12.290
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGAMFO9
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity FPGAMFO9 Is
  port
  (
    A_CRCERR        : In    STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=A_CRCERR[31..0]
    A_DELAY         : In    STD_LOGIC_VECTOR(127 Downto 0);  -- ObjectKind=Port|PrimaryId=A_DELAY[127..0]
    A_DELAYERR      : In    STD_LOGIC_VECTOR(1 To 4);        -- ObjectKind=Port|PrimaryId=A_DELAYERR[1..4]
    A_ERRC          : In    STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=A_ERRC[31..0]
    A_FIXED         : In    STD_LOGIC_VECTOR(127 Downto 0);  -- ObjectKind=Port|PrimaryId=A_FIXED[127..0]
    A_LOS           : In    STD_LOGIC_VECTOR(1 To 4);        -- ObjectKind=Port|PrimaryId=A_LOS[1..4]
    A_MISSING       : In    STD_LOGIC_VECTOR(1 To 4);        -- ObjectKind=Port|PrimaryId=A_MISSING[1..4]
    A_UP            : In    STD_LOGIC_VECTOR(1 To 4);        -- ObjectKind=Port|PrimaryId=A_UP[1..4]
    ACLK            : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=ACLK
    ACNV            : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=ACNV
    ADDR            : In    STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=ADDR[31..0]
    AIN             : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=AIN
    B_CRCERR        : In    STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=B_CRCERR[31..0]
    B_DELAY         : In    STD_LOGIC_VECTOR(127 Downto 0);  -- ObjectKind=Port|PrimaryId=B_DELAY[127..0]
    B_DELAYERR      : In    STD_LOGIC_VECTOR(1 To 4);        -- ObjectKind=Port|PrimaryId=B_DELAYERR[1..4]
    B_ERRC          : In    STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=B_ERRC[31..0]
    B_FIXED         : In    STD_LOGIC_VECTOR(127 Downto 0);  -- ObjectKind=Port|PrimaryId=B_FIXED[127..0]
    B_LOS           : In    STD_LOGIC_VECTOR(1 To 4);        -- ObjectKind=Port|PrimaryId=B_LOS[1..4]
    B_MISSING       : In    STD_LOGIC_VECTOR(1 To 4);        -- ObjectKind=Port|PrimaryId=B_MISSING[1..4]
    B_UP            : In    STD_LOGIC_VECTOR(1 To 4);        -- ObjectKind=Port|PrimaryId=B_UP[1..4]
    C_CRCERR        : In    STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=C_CRCERR[31..0]
    C_DELAY         : In    STD_LOGIC_VECTOR(127 Downto 0);  -- ObjectKind=Port|PrimaryId=C_DELAY[127..0]
    C_DELAYERR      : In    STD_LOGIC_VECTOR(1 To 4);        -- ObjectKind=Port|PrimaryId=C_DELAYERR[1..4]
    C_ERRC          : In    STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=C_ERRC[31..0]
    C_FIXED         : In    STD_LOGIC_VECTOR(127 Downto 0);  -- ObjectKind=Port|PrimaryId=C_FIXED[127..0]
    C_LOS           : In    STD_LOGIC_VECTOR(1 To 4);        -- ObjectKind=Port|PrimaryId=C_LOS[1..4]
    C_MISSING       : In    STD_LOGIC_VECTOR(1 To 4);        -- ObjectKind=Port|PrimaryId=C_MISSING[1..4]
    C_UP            : In    STD_LOGIC_VECTOR(1 To 4);        -- ObjectKind=Port|PrimaryId=C_UP[1..4]
    CLK             : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=CLK
    CNT             : In    STD_LOGIC_VECTOR(25 Downto 0);   -- ObjectKind=Port|PrimaryId=CNT[25..0]
    CRCERR          : In    STD_LOGIC_VECTOR(7 Downto 0);    -- ObjectKind=Port|PrimaryId=CRCERR[7..0]
    D_CRCERR        : In    STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=D_CRCERR[31..0]
    D_DELAY         : In    STD_LOGIC_VECTOR(127 Downto 0);  -- ObjectKind=Port|PrimaryId=D_DELAY[127..0]
    D_DELAYERR      : In    STD_LOGIC_VECTOR(1 To 4);        -- ObjectKind=Port|PrimaryId=D_DELAYERR[1..4]
    D_ERRC          : In    STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=D_ERRC[31..0]
    D_FIXED         : In    STD_LOGIC_VECTOR(127 Downto 0);  -- ObjectKind=Port|PrimaryId=D_FIXED[127..0]
    D_LOS           : In    STD_LOGIC_VECTOR(1 To 4);        -- ObjectKind=Port|PrimaryId=D_LOS[1..4]
    D_MISSING       : In    STD_LOGIC_VECTOR(1 To 4);        -- ObjectKind=Port|PrimaryId=D_MISSING[1..4]
    D_UP            : In    STD_LOGIC_VECTOR(1 To 4);        -- ObjectKind=Port|PrimaryId=D_UP[1..4]
    DO              : In    STD_LOGIC_VECTOR(7 Downto 0);    -- ObjectKind=Port|PrimaryId=DO[7..0]
    DONE            : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=DONE
    ENABLE          : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=ENABLE
    ERRC            : In    STD_LOGIC_VECTOR(3 Downto 0);    -- ObjectKind=Port|PrimaryId=ERRC[3..0]
    EXT1PPS         : In    STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=EXT1PPS[31..0]
    EXT1PPS_ON      : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=EXT1PPS_ON
    GPS1PPS         : In    STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=GPS1PPS[31..0]
    GPS             : In    STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=GPS[31..0]
    GPS_ERRC        : In    STD_LOGIC_VECTOR(2 Downto 0);    -- ObjectKind=Port|PrimaryId=GPS_ERRC[2..0]
    GPS_ERROR       : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=GPS_ERROR
    GPS_LOCKED      : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=GPS_LOCKED
    GPS_ON          : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=GPS_ON
    GPS_STAT        : In    STD_LOGIC_VECTOR(255 Downto 0);  -- ObjectKind=Port|PrimaryId=GPS_STAT[255..0]
    JTAG_NEXUS_TCK  : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TCK
    JTAG_NEXUS_TDI  : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TDI
    JTAG_NEXUS_TDO  : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TDO
    JTAG_NEXUS_TMS  : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TMS
    JTAG_NEXUS_TRST : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TRST
    LEAP            : In    STD_LOGIC_VECTOR(15 Downto 0);   -- ObjectKind=Port|PrimaryId=LEAP[15..0]
    LOS             : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=LOS
    OCXO_CTRL       : In    STD_LOGIC_VECTOR(15 Downto 0);   -- ObjectKind=Port|PrimaryId=OCXO_CTRL[15..0]
    OCXO_ERR        : In    STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=OCXO_ERR[31..0]
    OCXO_LOCKED     : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=OCXO_LOCKED
    OCXO_PRESENT    : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=OCXO_PRESENT
    POSHOLD         : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=POSHOLD
    PREV_DI         : Out   STD_LOGIC_VECTOR(7 Downto 0);    -- ObjectKind=Port|PrimaryId=PREV_DI[7..0]
    PREV_DONE       : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=PREV_DONE
    PREV_ENABLE     : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=PREV_ENABLE
    PREV_RDY        : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=PREV_RDY
    PREV_START      : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=PREV_START
    RDY             : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=RDY
    RS422_DRV       : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=RS422_DRV
    RS422_RCV       : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=RS422_RCV
    RST             : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=RST
    START           : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=START
    STAT            : Out   STD_LOGIC_VECTOR(1023 Downto 0); -- ObjectKind=Port|PrimaryId=STAT[1023..0]
    SW              : In    STD_LOGIC_VECTOR(8 Downto 1);    -- ObjectKind=Port|PrimaryId=SW[8..1]
    UNHOLD          : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=UNHOLD
    UP              : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=UP
    UP1PPS          : In    STD_LOGIC_VECTOR(31 Downto 0);   -- ObjectKind=Port|PrimaryId=UP1PPS[31..0]
    VCXO_CTRL       : Out   STD_LOGIC_VECTOR(15 Downto 0)    -- ObjectKind=Port|PrimaryId=VCXO_CTRL[15..0]
  );
  attribute MacroCell : boolean;

End FPGAMFO9;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGAMFO9 Is
   Component AND2N1S                                         -- ObjectKind=Part|PrimaryId=U201|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U201-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U201-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U201-O
      );
   End Component;

   Component COMP32B                                         -- ObjectKind=Part|PrimaryId=U200|SecondaryId=1
      port
      (
        A  : in  STD_LOGIC_VECTOR(31 Downto 0);              -- ObjectKind=Pin|PrimaryId=U200-A[31..0]
        B  : in  STD_LOGIC_VECTOR(31 Downto 0);              -- ObjectKind=Pin|PrimaryId=U200-B[31..0]
        EQ : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U200-EQ
      );
   End Component;

   Component Configurable_U_CHAR                             -- ObjectKind=Part|PrimaryId=U_CHAR|SecondaryId=1
      port
      (
        CHAR        : in  STD_LOGIC_VECTOR(7 Downto 0);      -- ObjectKind=Pin|PrimaryId=U_CHAR-CHAR[7..0]
        CLK         : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_CHAR-CLK
        CLK_CAP     : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_CHAR-CLK_CAP
        EXT_TRIGGER : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_CHAR-EXT_TRIGGER
        STATUS      : out STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_CHAR-STATUS
        TCK         : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_CHAR-TCK
        TDI         : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_CHAR-TDI
        TDO         : out STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_CHAR-TDO
        TMS         : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_CHAR-TMS
        TRST        : in  STD_LOGIC                          -- ObjectKind=Pin|PrimaryId=U_CHAR-TRST
      );
   End Component;

   Component Configurable_U_RS422                            -- ObjectKind=Part|PrimaryId=U_RS422|SecondaryId=1
      port
      (
        MSG1 : in  STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_RS422-MSG1[31..0]
        MSG2 : in  STD_LOGIC_VECTOR(31 Downto 0);            -- ObjectKind=Pin|PrimaryId=U_RS422-MSG2[31..0]
        TCK  : in  STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=U_RS422-TCK
        TDI  : in  STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=U_RS422-TDI
        TDO  : out STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=U_RS422-TDO
        TMS  : in  STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=U_RS422-TMS
        TRST : in  STD_LOGIC                                 -- ObjectKind=Pin|PrimaryId=U_RS422-TRST
      );
   End Component;

   Component FanoutDiag                                      -- ObjectKind=Sheet Symbol|PrimaryId=U_fodiag_A
      port
      (
        A       : in  STD_LOGIC_VECTOR(1 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-A[1..0]
        D       : out STD_LOGIC_VECTOR(31 Downto 0);         -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-D[31..0]
        DELAY   : in  STD_LOGIC_VECTOR(127 Downto 0);        -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-DELAY[127..0]
        DLYERR  : in  STD_LOGIC_VECTOR(1 To 4);              -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-DLYERR[1..4]
        ERRC    : in  STD_LOGIC_VECTOR(31 Downto 0);         -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-ERRC[31..0]
        FIXED   : in  STD_LOGIC_VECTOR(127 Downto 0);        -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-FIXED[127..0]
        LOS     : in  STD_LOGIC_VECTOR(1 To 4);              -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-LOS[1..4]
        MISSING : in  STD_LOGIC_VECTOR(1 To 4);              -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-MISSING[1..4]
        MSW     : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-MSW
        UP      : in  STD_LOGIC_VECTOR(1 To 4)               -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-UP[1..4]
      );
   End Component;

   Component FanoutWord                                      -- ObjectKind=Sheet Symbol|PrimaryId=U_derrdiag
      port
      (
        A : in  STD_LOGIC_VECTOR(1 To 4);                    -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-A[1..4]
        B : in  STD_LOGIC_VECTOR(1 To 4);                    -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-B[1..4]
        C : in  STD_LOGIC_VECTOR(1 To 4);                    -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-C[1..4]
        D : in  STD_LOGIC_VECTOR(1 To 4);                    -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-D[1..4]
        O : out STD_LOGIC_VECTOR(15 Downto 0)                -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-O[15..0]
      );
   End Component;

   Component FPGAMFO10                                       -- ObjectKind=Sheet Symbol|PrimaryId=U_FPGAMFO10
      port
      (
        ACLK      : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO10.SchDoc-ACLK
        ACNV      : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO10.SchDoc-ACNV
        AIN       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO10.SchDoc-AIN
        CLK       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO10.SchDoc-CLK
        CNT       : in  STD_LOGIC_VECTOR(25 Downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO10.SchDoc-CNT[25..0]
        START     : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO10.SchDoc-START
        VCXO_CTRL : out STD_LOGIC_VECTOR(15 Downto 0)        -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO10.SchDoc-VCXO_CTRL[15..0]
      );
   End Component;

   Component M32_B4B1_SB                                     -- ObjectKind=Part|PrimaryId=U203|SecondaryId=1
      port
      (
        A : in  STD_LOGIC_VECTOR(31 Downto 0);               -- ObjectKind=Pin|PrimaryId=U203-A[31..0]
        B : in  STD_LOGIC_VECTOR(31 Downto 0);               -- ObjectKind=Pin|PrimaryId=U203-B[31..0]
        C : in  STD_LOGIC_VECTOR(31 Downto 0);               -- ObjectKind=Pin|PrimaryId=U203-C[31..0]
        D : in  STD_LOGIC_VECTOR(31 Downto 0);               -- ObjectKind=Pin|PrimaryId=U203-D[31..0]
        S : in  STD_LOGIC_VECTOR(1 Downto 0);                -- ObjectKind=Pin|PrimaryId=U203-S[1..0]
        Y : out STD_LOGIC_VECTOR(31 Downto 0)                -- ObjectKind=Pin|PrimaryId=U203-Y[31..0]
      );
   End Component;

   Component M32_B8B1_SB                                     -- ObjectKind=Part|PrimaryId=U204|SecondaryId=1
      port
      (
        A : in  STD_LOGIC_VECTOR(31 Downto 0);               -- ObjectKind=Pin|PrimaryId=U204-A[31..0]
        B : in  STD_LOGIC_VECTOR(31 Downto 0);               -- ObjectKind=Pin|PrimaryId=U204-B[31..0]
        C : in  STD_LOGIC_VECTOR(31 Downto 0);               -- ObjectKind=Pin|PrimaryId=U204-C[31..0]
        D : in  STD_LOGIC_VECTOR(31 Downto 0);               -- ObjectKind=Pin|PrimaryId=U204-D[31..0]
        E : in  STD_LOGIC_VECTOR(31 Downto 0);               -- ObjectKind=Pin|PrimaryId=U204-E[31..0]
        F : in  STD_LOGIC_VECTOR(31 Downto 0);               -- ObjectKind=Pin|PrimaryId=U204-F[31..0]
        G : in  STD_LOGIC_VECTOR(31 Downto 0);               -- ObjectKind=Pin|PrimaryId=U204-G[31..0]
        H : in  STD_LOGIC_VECTOR(31 Downto 0);               -- ObjectKind=Pin|PrimaryId=U204-H[31..0]
        S : in  STD_LOGIC_VECTOR(2 Downto 0);                -- ObjectKind=Pin|PrimaryId=U204-S[2..0]
        Y : out STD_LOGIC_VECTOR(31 Downto 0)                -- ObjectKind=Pin|PrimaryId=U204-Y[31..0]
      );
   End Component;

   Component MasterDiag                                      -- ObjectKind=Sheet Symbol|PrimaryId=U_madiag
      port
      (
        A            : in  STD_LOGIC_VECTOR(3 Downto 0);     -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-A[3..0]
        ADDR         : in  STD_LOGIC_VECTOR(31 Downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-ADDR[31..0]
        CRCERR       : in  STD_LOGIC_VECTOR(7 Downto 0);     -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-CRCERR[7..0]
        D            : out STD_LOGIC_VECTOR(31 Downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-D[31..0]
        ERRC         : in  STD_LOGIC_VECTOR(3 Downto 0);     -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-ERRC[3..0]
        EXT1PPS      : in  STD_LOGIC_VECTOR(31 Downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-EXT1PPS[31..0]
        EXT1PPS_ON   : in  STD_LOGIC;                        -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-EXT1PPS_ON
        FODLYERR     : in  STD_LOGIC_VECTOR(15 Downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-FODLYERR[15..0]
        FOLOS        : in  STD_LOGIC_VECTOR(15 Downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-FOLOS[15..0]
        FOMISSING    : in  STD_LOGIC_VECTOR(15 Downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-FOMISSING[15..0]
        FOUP         : in  STD_LOGIC_VECTOR(15 Downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-FOUP[15..0]
        GPS1PPS      : in  STD_LOGIC_VECTOR(31 Downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-GPS1PPS[31..0]
        GPS          : in  STD_LOGIC_VECTOR(31 Downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-GPS[31..0]
        GPS_ERRC     : in  STD_LOGIC_VECTOR(2 Downto 0);     -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-GPS_ERRC[2..0]
        GPS_ERROR    : in  STD_LOGIC;                        -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-GPS_ERROR
        GPS_LOCKED   : in  STD_LOGIC;                        -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-GPS_LOCKED
        GPS_ON       : in  STD_LOGIC;                        -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-GPS_ON
        LEAP         : in  STD_LOGIC_VECTOR(15 Downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-LEAP[15..0]
        LOS          : in  STD_LOGIC;                        -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-LOS
        OCXO_CTRL    : in  STD_LOGIC_VECTOR(15 Downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-OCXO_CTRL[15..0]
        OCXO_ERR     : in  STD_LOGIC_VECTOR(31 Downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-OCXO_ERR[31..0]
        OCXO_LOCKED  : in  STD_LOGIC;                        -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-OCXO_LOCKED
        OCXO_PRESENT : in  STD_LOGIC;                        -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-OCXO_PRESENT
        STAT         : out STD_LOGIC_VECTOR(1023 Downto 0);  -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-STAT[1023..0]
        SW           : in  STD_LOGIC_VECTOR(8 Downto 1);     -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-SW[8..1]
        UP           : in  STD_LOGIC;                        -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-UP
        UP1PPS       : in  STD_LOGIC_VECTOR(31 Downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-UP1PPS[31..0]
        VCXO_CTRL    : in  STD_LOGIC_VECTOR(15 Downto 0)     -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-VCXO_CTRL[15..0]
      );
   End Component;

   Component MasterLink                                      -- ObjectKind=Sheet Symbol|PrimaryId=U_malink
      port
      (
        CLK    : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-CLK
        DO     : out STD_LOGIC_VECTOR(7 Downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-DO[7..0]
        DONE   : out STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-DONE
        ENABLE : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-ENABLE
        EXTA   : out STD_LOGIC_VECTOR(2 Downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-EXTA[2..0]
        EXTD   : in  STD_LOGIC_VECTOR(31 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-EXTD[31..0]
        FOA    : out STD_LOGIC_VECTOR(4 Downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-FOA[4..0]
        FOD    : in  STD_LOGIC_VECTOR(31 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-FOD[31..0]
        GPSA   : out STD_LOGIC_VECTOR(2 Downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-GPSA[2..0]
        GPSD   : in  STD_LOGIC_VECTOR(31 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-GPSD[31..0]
        MA     : out STD_LOGIC_VECTOR(3 Downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-MA[3..0]
        MD     : in  STD_LOGIC_VECTOR(31 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-MD[31..0]
        RDY    : out STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-RDY
        RST    : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-RST
        START  : in  STD_LOGIC                               -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-START
      );
   End Component;

   Component RS422Receiver                                   -- ObjectKind=Sheet Symbol|PrimaryId=U_decode_rs422
      port
      (
        CLK     : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-CLK
        CNT     : in  STD_LOGIC_VECTOR(25 Downto 0);         -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-CNT[25..0]
        D       : in  STD_LOGIC_VECTOR(7 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-D[7..0]
        ERR     : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-ERR
        MESG1   : out STD_LOGIC_VECTOR(31 Downto 0);         -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-MESG1[31..0]
        MESG2   : out STD_LOGIC_VECTOR(31 Downto 0);         -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-MESG2[31..0]
        POSHOLD : out STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-POSHOLD
        RDY     : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-RDY
        RST     : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-RST
        UNHOLD  : out STD_LOGIC                              -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-UNHOLD
      );
   End Component;

   Component TimingLinkWrap                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_wrap
      port
      (
        CLK         : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-CLK
        DONE        : out STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-DONE
        DOUT        : out STD_LOGIC_VECTOR(7 Downto 0);      -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-DOUT[7..0]
        ENABLE      : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-ENABLE
        PREV_DIN    : in  STD_LOGIC_VECTOR(7 Downto 0);      -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-PREV_DIN[7..0]
        PREV_DONE   : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-PREV_DONE
        PREV_ENABLE : out STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-PREV_ENABLE
        PREV_RDY    : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-PREV_RDY
        PREV_START  : out STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-PREV_START
        RDY         : out STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-RDY
        RST         : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-RST
        START       : in  STD_LOGIC                          -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-START
      );
   End Component;

   Component UART                                            -- ObjectKind=Sheet Symbol|PrimaryId=U_uart_RS422
      port
      (
        BUSY : out STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-BUSY
        CLK  : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-CLK
        DIN  : in  STD_LOGIC_VECTOR(7 Downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-DIN[7..0]
        DIV  : in  STD_LOGIC_VECTOR(15 Downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-DIV[15..0]
        DOUT : out STD_LOGIC_VECTOR(7 Downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-DOUT[7..0]
        ERR  : out STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-ERR
        LD   : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-LD
        RDY  : out STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-RDY
        RST  : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-RST
        RX   : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-RX
        TX   : out STD_LOGIC                                 -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-TX
      );
   End Component;


    Signal NamedSignal_A_DLYERR             : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=A_DELAYERR[1..4]
    Signal NamedSignal_A_LOS                : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=A_LOS[1..4]
    Signal NamedSignal_A_MISSING            : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=A_MISSING[1..4]
    Signal NamedSignal_A_UP                 : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=A_UP[1..4]
    Signal NamedSignal_B_DLYERR             : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=B_DELAYERR[1..4]
    Signal NamedSignal_B_LOS                : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=B_LOS[1..4]
    Signal NamedSignal_B_MISSING            : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=B_MISSING[1..4]
    Signal NamedSignal_B_UP                 : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=B_UP[1..4]
    Signal NamedSignal_BUSY                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BUSY
    Signal NamedSignal_C_DLYERR             : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=C_DELAYERR[1..4]
    Signal NamedSignal_C_LOS                : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=C_LOS[1..4]
    Signal NamedSignal_C_MISSING            : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=C_MISSING[1..4]
    Signal NamedSignal_C_UP                 : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=C_UP[1..4]
    Signal NamedSignal_C1DIV                : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=C1DIV[15..0]
    Signal NamedSignal_CLK                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK
    Signal NamedSignal_CNT                  : STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Net|PrimaryId=CNT[25..0]
    Signal NamedSignal_COUNT                : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=COUNT[31..0]
    Signal NamedSignal_D_DLYERR             : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=D_DELAYERR[1..4]
    Signal NamedSignal_D_LOS                : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=D_LOS[1..4]
    Signal NamedSignal_D_MISSING            : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=D_MISSING[1..4]
    Signal NamedSignal_D_UP                 : STD_LOGIC_VECTOR(1 To 4); -- ObjectKind=Net|PrimaryId=D_UP[1..4]
    Signal NamedSignal_DO                   : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=DO[7..0]
    Signal NamedSignal_ENABLE               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ENABLE
    Signal NamedSignal_EXTA                 : STD_LOGIC_VECTOR(2 Downto 0); -- ObjectKind=Net|PrimaryId=EXTA[2..0]
    Signal NamedSignal_EXTD                 : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=EXTD[31..0]
    Signal NamedSignal_FOA                  : STD_LOGIC_VECTOR(4 Downto 0); -- ObjectKind=Net|PrimaryId=FOA[4..0]
    Signal NamedSignal_FOD                  : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=FOD[31..0]
    Signal NamedSignal_FOD_A                : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=FOD_A[31..0]
    Signal NamedSignal_FOD_B                : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=FOD_B[31..0]
    Signal NamedSignal_FOD_C                : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=FOD_C[31..0]
    Signal NamedSignal_FOD_D                : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=FOD_D[31..0]
    Signal NamedSignal_FODERR               : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=FODERR[15..0]
    Signal NamedSignal_FOLOS                : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=FOLOS[15..0]
    Signal NamedSignal_FOMISS               : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=FOMISS[15..0]
    Signal NamedSignal_FOUP                 : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=FOUP[15..0]
    Signal NamedSignal_GND1_BUS             : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[31..0]
    Signal NamedSignal_GND2_BUS             : STD_LOGIC_VECTOR(31 Downto 26); -- ObjectKind=Net|PrimaryId=COUNT[31..26]
    Signal NamedSignal_GPS_STAT             : STD_LOGIC_VECTOR(255 Downto 0); -- ObjectKind=Net|PrimaryId=GPS_STAT[255..0]
    Signal NamedSignal_GPSA                 : STD_LOGIC_VECTOR(2 Downto 0); -- ObjectKind=Net|PrimaryId=GPSA[2..0]
    Signal NamedSignal_GPSD                 : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GPSD[31..0]
    Signal NamedSignal_MA                   : STD_LOGIC_VECTOR(3 Downto 0); -- ObjectKind=Net|PrimaryId=MA[3..0]
    Signal NamedSignal_MD                   : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=MD[31..0]
    Signal NamedSignal_RDY                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RDY
    Signal NamedSignal_RST                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST
    Signal NamedSignal_SCNT                 : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=SCNT[31..0]
    Signal NamedSignal_START                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=START
    Signal NamedSignal_VCXO_CTRL            : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=VCXO_CTRL[15..0]
    Signal PinSignal_U_CHAR_TDO             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=JTAG_NEXUS_LINK0
    Signal PinSignal_U_decode_rs422_MESG1   : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=NetU_RS422_MSG1[31..0]
    Signal PinSignal_U_decode_rs422_MESG2   : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=NetU_RS422_MSG2[31..0]
    Signal PinSignal_U_decode_rs422_POSHOLD : STD_LOGIC; -- ObjectKind=Net|PrimaryId=POSHOLD
    Signal PinSignal_U_decode_rs422_UNHOLD  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=UNHOLD
    Signal PinSignal_U_derrdiag_O           : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=FODERR[15..0]
    Signal PinSignal_U_fodiag_A_A           : STD_LOGIC_VECTOR(1 Downto 0); -- ObjectKind=Net|PrimaryId=FOA[2..0]
    Signal PinSignal_U_fodiag_A_D           : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=FOD_A[31..0]
    Signal PinSignal_U_fodiag_B_A           : STD_LOGIC_VECTOR(1 Downto 0); -- ObjectKind=Net|PrimaryId=FOA[2..0]
    Signal PinSignal_U_fodiag_B_D           : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=FOD_B[31..0]
    Signal PinSignal_U_fodiag_C_A           : STD_LOGIC_VECTOR(1 Downto 0); -- ObjectKind=Net|PrimaryId=FOA[2..0]
    Signal PinSignal_U_fodiag_C_D           : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=FOD_C[31..0]
    Signal PinSignal_U_fodiag_D_A           : STD_LOGIC_VECTOR(1 Downto 0); -- ObjectKind=Net|PrimaryId=FOA[2..0]
    Signal PinSignal_U_fodiag_D_D           : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=FOD_D[31..0]
    Signal PinSignal_U_FPGAMFO10_ACLK       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ACLK
    Signal PinSignal_U_FPGAMFO10_ACNV       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ACNV
    Signal PinSignal_U_FPGAMFO10_VCXO_CTRL  : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=VCXO_CTRL[15..0]
    Signal PinSignal_U_losdiag_O            : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=FOLOS[15..0]
    Signal PinSignal_U_madiag_D             : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=MD[31..0]
    Signal PinSignal_U_madiag_STAT          : STD_LOGIC_VECTOR(1023 Downto 0); -- ObjectKind=Net|PrimaryId=STAT[1023..0]
    Signal PinSignal_U_malink_DO            : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=PREV_DI[7..0]
    Signal PinSignal_U_malink_DONE          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PREV_DONE
    Signal PinSignal_U_malink_EXTA          : STD_LOGIC_VECTOR(2 Downto 0); -- ObjectKind=Net|PrimaryId=EXTA[2..0]
    Signal PinSignal_U_malink_FOA           : STD_LOGIC_VECTOR(4 Downto 0); -- ObjectKind=Net|PrimaryId=FOA[4..0]
    Signal PinSignal_U_malink_GPSA          : STD_LOGIC_VECTOR(2 Downto 0); -- ObjectKind=Net|PrimaryId=GPSA[2..0]
    Signal PinSignal_U_malink_MA            : STD_LOGIC_VECTOR(3 Downto 0); -- ObjectKind=Net|PrimaryId=MA[3..0]
    Signal PinSignal_U_malink_RDY           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PREV_RDY
    Signal PinSignal_U_missdiag_O           : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=FOMISS[15..0]
    Signal PinSignal_U_RS422_TDO            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_RS422_TDO
    Signal PinSignal_U_uart_RS422_BUSY      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BUSY
    Signal PinSignal_U_uart_RS422_DOUT      : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=UDOUT[7..0]
    Signal PinSignal_U_uart_RS422_ERR       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=UERR
    Signal PinSignal_U_uart_RS422_RDY       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=URDY
    Signal PinSignal_U_uart_RS422_TX        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TX
    Signal PinSignal_U_updiag_O             : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=FOUP[15..0]
    Signal PinSignal_U_wrap_DONE            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DONE
    Signal PinSignal_U_wrap_DOUT            : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=DO[7..0]
    Signal PinSignal_U_wrap_PREV_ENABLE     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PREV_ENABLE
    Signal PinSignal_U_wrap_PREV_START      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PREV_START
    Signal PinSignal_U_wrap_RDY             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RDY
    Signal PinSignal_U200_EQ                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=START
    Signal PinSignal_U201_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ENABLE
    Signal PinSignal_U203_S                 : STD_LOGIC_VECTOR(1 Downto 0); -- ObjectKind=Net|PrimaryId=FOA[4..0]
    Signal PinSignal_U203_Y                 : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=FOD[31..0]
    Signal PinSignal_U204_A                 : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GPS_STAT[255..0]
    Signal PinSignal_U204_B                 : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GPS_STAT[223..0]
    Signal PinSignal_U204_C                 : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GPS_STAT[191..0]
    Signal PinSignal_U204_D                 : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GPS_STAT[159..0]
    Signal PinSignal_U204_E                 : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GPS_STAT[127..0]
    Signal PinSignal_U204_F                 : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GPS_STAT[95..0]
    Signal PinSignal_U204_G                 : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GPS_STAT[63..0]
    Signal PinSignal_U204_Y                 : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GPSD[31..0]
    Signal PinSignal_U205_Y                 : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=EXTD[31..0]

   attribute BusBusSelect : string;
   attribute BusBusSelect of U205 : Label is "True";
   attribute BusBusSelect of U204 : Label is "True";
   attribute BusBusSelect of U203 : Label is "True";


Begin
    U_wrap : TimingLinkWrap                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_wrap
      Port Map
      (
        CLK         => NamedSignal_CLK,                      -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-CLK
        DONE        => PinSignal_U_wrap_DONE,                -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-DONE
        DOUT        => PinSignal_U_wrap_DOUT,                -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-DOUT[7..0]
        ENABLE      => NamedSignal_ENABLE,                   -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-ENABLE
        PREV_DIN    => DO,                                   -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-PREV_DIN[7..0]
        PREV_DONE   => DONE,                                 -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-PREV_DONE
        PREV_ENABLE => PinSignal_U_wrap_PREV_ENABLE,         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-PREV_ENABLE
        PREV_RDY    => RDY,                                  -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-PREV_RDY
        PREV_START  => PinSignal_U_wrap_PREV_START,          -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-PREV_START
        RDY         => PinSignal_U_wrap_RDY,                 -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-RDY
        RST         => NamedSignal_RST,                      -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-RST
        START       => NamedSignal_START                     -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkWrap.Vhd-START
      );

    U_updiag : FanoutWord                                    -- ObjectKind=Sheet Symbol|PrimaryId=U_updiag
      Port Map
      (
        A => NamedSignal_A_UP,                               -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-A[1..4]
        B => NamedSignal_B_UP,                               -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-B[1..4]
        C => NamedSignal_C_UP,                               -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-C[1..4]
        D => NamedSignal_D_UP,                               -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-D[1..4]
        O => PinSignal_U_updiag_O                            -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-O[15..0]
      );

    U_uart_RS422 : UART                                      -- ObjectKind=Sheet Symbol|PrimaryId=U_uart_RS422
      Port Map
      (
        BUSY => PinSignal_U_uart_RS422_BUSY,                 -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-BUSY
        CLK  => NamedSignal_CLK,                             -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-CLK
        DIN  => NamedSignal_DO,                              -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-DIN[7..0]
        DIV  => NamedSignal_C1DIV,                           -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-DIV[15..0]
        DOUT => PinSignal_U_uart_RS422_DOUT,                 -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-DOUT[7..0]
        ERR  => PinSignal_U_uart_RS422_ERR,                  -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-ERR
        LD   => PinSignal_U201_O,                            -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-LD
        RDY  => PinSignal_U_uart_RS422_RDY,                  -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-RDY
        RST  => NamedSignal_RST,                             -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-RST
        RX   => RS422_RCV,                                   -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-RX
        TX   => PinSignal_U_uart_RS422_TX                    -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-TX
      );

    U_missdiag : FanoutWord                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_missdiag
      Port Map
      (
        A => NamedSignal_A_MISSING,                          -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-A[1..4]
        B => NamedSignal_B_MISSING,                          -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-B[1..4]
        C => NamedSignal_C_MISSING,                          -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-C[1..4]
        D => NamedSignal_D_MISSING,                          -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-D[1..4]
        O => PinSignal_U_missdiag_O                          -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-O[15..0]
      );

    U_malink : MasterLink                                    -- ObjectKind=Sheet Symbol|PrimaryId=U_malink
      Port Map
      (
        CLK    => NamedSignal_CLK,                           -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-CLK
        DO     => PinSignal_U_malink_DO,                     -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-DO[7..0]
        DONE   => PinSignal_U_malink_DONE,                   -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-DONE
        ENABLE => PREV_ENABLE,                               -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-ENABLE
        EXTA   => PinSignal_U_malink_EXTA,                   -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-EXTA[2..0]
        EXTD   => NamedSignal_EXTD,                          -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-EXTD[31..0]
        FOA    => PinSignal_U_malink_FOA,                    -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-FOA[4..0]
        FOD    => NamedSignal_FOD,                           -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-FOD[31..0]
        GPSA   => PinSignal_U_malink_GPSA,                   -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-GPSA[2..0]
        GPSD   => NamedSignal_GPSD,                          -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-GPSD[31..0]
        MA     => PinSignal_U_malink_MA,                     -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-MA[3..0]
        MD     => NamedSignal_MD,                            -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-MD[31..0]
        RDY    => PinSignal_U_malink_RDY,                    -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-RDY
        RST    => NamedSignal_RST,                           -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-RST
        START  => PREV_START                                 -- ObjectKind=Sheet Entry|PrimaryId=MasterLink.Vhd-START
      );

    U_madiag : MasterDiag                                    -- ObjectKind=Sheet Symbol|PrimaryId=U_madiag
      Port Map
      (
        A            => NamedSignal_MA,                      -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-A[3..0]
        ADDR         => ADDR,                                -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-ADDR[31..0]
        CRCERR       => CRCERR,                              -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-CRCERR[7..0]
        D            => PinSignal_U_madiag_D,                -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-D[31..0]
        ERRC         => ERRC,                                -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-ERRC[3..0]
        EXT1PPS      => EXT1PPS,                             -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-EXT1PPS[31..0]
        EXT1PPS_ON   => EXT1PPS_ON,                          -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-EXT1PPS_ON
        FODLYERR     => NamedSignal_FODERR,                  -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-FODLYERR[15..0]
        FOLOS        => NamedSignal_FOLOS,                   -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-FOLOS[15..0]
        FOMISSING    => NamedSignal_FOMISS,                  -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-FOMISSING[15..0]
        FOUP         => NamedSignal_FOUP,                    -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-FOUP[15..0]
        GPS1PPS      => GPS1PPS,                             -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-GPS1PPS[31..0]
        GPS          => GPS,                                 -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-GPS[31..0]
        GPS_ERRC     => GPS_ERRC,                            -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-GPS_ERRC[2..0]
        GPS_ERROR    => GPS_ERROR,                           -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-GPS_ERROR
        GPS_LOCKED   => GPS_LOCKED,                          -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-GPS_LOCKED
        GPS_ON       => GPS_ON,                              -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-GPS_ON
        LEAP         => LEAP,                                -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-LEAP[15..0]
        LOS          => LOS,                                 -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-LOS
        OCXO_CTRL    => OCXO_CTRL,                           -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-OCXO_CTRL[15..0]
        OCXO_ERR     => OCXO_ERR,                            -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-OCXO_ERR[31..0]
        OCXO_LOCKED  => OCXO_LOCKED,                         -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-OCXO_LOCKED
        OCXO_PRESENT => OCXO_PRESENT,                        -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-OCXO_PRESENT
        STAT         => PinSignal_U_madiag_STAT,             -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-STAT[1023..0]
        SW           => SW,                                  -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-SW[8..1]
        UP           => UP,                                  -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-UP
        UP1PPS       => UP1PPS,                              -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-UP1PPS[31..0]
        VCXO_CTRL    => NamedSignal_VCXO_CTRL                -- ObjectKind=Sheet Entry|PrimaryId=MasterDiag.Vhd-VCXO_CTRL[15..0]
      );

    U_losdiag : FanoutWord                                   -- ObjectKind=Sheet Symbol|PrimaryId=U_losdiag
      Port Map
      (
        A => NamedSignal_A_LOS,                              -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-A[1..4]
        B => NamedSignal_B_LOS,                              -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-B[1..4]
        C => NamedSignal_C_LOS,                              -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-C[1..4]
        D => NamedSignal_D_LOS,                              -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-D[1..4]
        O => PinSignal_U_losdiag_O                           -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-O[15..0]
      );

    U_FPGAMFO10 : FPGAMFO10                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_FPGAMFO10
      Port Map
      (
        ACLK      => PinSignal_U_FPGAMFO10_ACLK,             -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO10.SchDoc-ACLK
        ACNV      => PinSignal_U_FPGAMFO10_ACNV,             -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO10.SchDoc-ACNV
        AIN       => AIN,                                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO10.SchDoc-AIN
        CLK       => NamedSignal_CLK,                        -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO10.SchDoc-CLK
        CNT       => NamedSignal_CNT,                        -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO10.SchDoc-CNT[25..0]
        START     => NamedSignal_CNT(25),                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO10.SchDoc-START
        VCXO_CTRL => PinSignal_U_FPGAMFO10_VCXO_CTRL         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO10.SchDoc-VCXO_CTRL[15..0]
      );

    U_fodiag_D : FanoutDiag                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_fodiag_D
      Port Map
      (
        A       => PinSignal_U_fodiag_D_A,                   -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-A[1..0]
        D       => PinSignal_U_fodiag_D_D,                   -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-D[31..0]
        DELAY   => D_DELAY,                                  -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-DELAY[127..0]
        DLYERR  => D_DELAYERR,                               -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-DLYERR[1..4]
        ERRC    => D_ERRC,                                   -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-ERRC[31..0]
        FIXED   => D_FIXED,                                  -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-FIXED[127..0]
        LOS     => D_LOS,                                    -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-LOS[1..4]
        MISSING => D_MISSING,                                -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-MISSING[1..4]
        MSW     => NamedSignal_FOA(0),                       -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-MSW
        UP      => D_UP                                      -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-UP[1..4]
      );

    U_fodiag_C : FanoutDiag                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_fodiag_C
      Port Map
      (
        A       => PinSignal_U_fodiag_C_A,                   -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-A[1..0]
        D       => PinSignal_U_fodiag_C_D,                   -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-D[31..0]
        DELAY   => C_DELAY,                                  -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-DELAY[127..0]
        DLYERR  => C_DELAYERR,                               -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-DLYERR[1..4]
        ERRC    => C_ERRC,                                   -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-ERRC[31..0]
        FIXED   => C_FIXED,                                  -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-FIXED[127..0]
        LOS     => C_LOS,                                    -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-LOS[1..4]
        MISSING => C_MISSING,                                -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-MISSING[1..4]
        MSW     => NamedSignal_FOA(0),                       -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-MSW
        UP      => C_UP                                      -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-UP[1..4]
      );

    U_fodiag_B : FanoutDiag                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_fodiag_B
      Port Map
      (
        A       => PinSignal_U_fodiag_B_A,                   -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-A[1..0]
        D       => PinSignal_U_fodiag_B_D,                   -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-D[31..0]
        DELAY   => B_DELAY,                                  -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-DELAY[127..0]
        DLYERR  => B_DELAYERR,                               -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-DLYERR[1..4]
        ERRC    => B_ERRC,                                   -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-ERRC[31..0]
        FIXED   => B_FIXED,                                  -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-FIXED[127..0]
        LOS     => B_LOS,                                    -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-LOS[1..4]
        MISSING => B_MISSING,                                -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-MISSING[1..4]
        MSW     => NamedSignal_FOA(0),                       -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-MSW
        UP      => B_UP                                      -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-UP[1..4]
      );

    U_fodiag_A : FanoutDiag                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_fodiag_A
      Port Map
      (
        A       => PinSignal_U_fodiag_A_A,                   -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-A[1..0]
        D       => PinSignal_U_fodiag_A_D,                   -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-D[31..0]
        DELAY   => A_DELAY,                                  -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-DELAY[127..0]
        DLYERR  => A_DELAYERR,                               -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-DLYERR[1..4]
        ERRC    => A_ERRC,                                   -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-ERRC[31..0]
        FIXED   => A_FIXED,                                  -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-FIXED[127..0]
        LOS     => A_LOS,                                    -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-LOS[1..4]
        MISSING => A_MISSING,                                -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-MISSING[1..4]
        MSW     => NamedSignal_FOA(0),                       -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-MSW
        UP      => A_UP                                      -- ObjectKind=Sheet Entry|PrimaryId=FanoutDiag.Vhd-UP[1..4]
      );

    U_derrdiag : FanoutWord                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_derrdiag
      Port Map
      (
        A => NamedSignal_A_DLYERR,                           -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-A[1..4]
        B => NamedSignal_B_DLYERR,                           -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-B[1..4]
        C => NamedSignal_C_DLYERR,                           -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-C[1..4]
        D => NamedSignal_D_DLYERR,                           -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-D[1..4]
        O => PinSignal_U_derrdiag_O                          -- ObjectKind=Sheet Entry|PrimaryId=FanoutWord.Vhd-O[15..0]
      );

    U_decode_rs422 : RS422Receiver                           -- ObjectKind=Sheet Symbol|PrimaryId=U_decode_rs422
      Port Map
      (
        CLK     => NamedSignal_CLK,                          -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-CLK
        CNT     => NamedSignal_CNT,                          -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-CNT[25..0]
        D       => PinSignal_U_uart_RS422_DOUT,              -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-D[7..0]
        ERR     => PinSignal_U_uart_RS422_ERR,               -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-ERR
        MESG1   => PinSignal_U_decode_rs422_MESG1,           -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-MESG1[31..0]
        MESG2   => PinSignal_U_decode_rs422_MESG2,           -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-MESG2[31..0]
        POSHOLD => PinSignal_U_decode_rs422_POSHOLD,         -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-POSHOLD
        RDY     => PinSignal_U_uart_RS422_RDY,               -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-RDY
        RST     => NamedSignal_RST,                          -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-RST
        UNHOLD  => PinSignal_U_decode_rs422_UNHOLD           -- ObjectKind=Sheet Entry|PrimaryId=RS422Receiver.Vhd-UNHOLD
      );

    U_RS422 : Configurable_U_RS422                           -- ObjectKind=Part|PrimaryId=U_RS422|SecondaryId=1
      Port Map
      (
        MSG1 => PinSignal_U_decode_rs422_MESG1,              -- ObjectKind=Pin|PrimaryId=U_RS422-MSG1[31..0]
        MSG2 => PinSignal_U_decode_rs422_MESG2,              -- ObjectKind=Pin|PrimaryId=U_RS422-MSG2[31..0]
        TCK  => JTAG_NEXUS_TCK,                              -- ObjectKind=Pin|PrimaryId=U_RS422-TCK
        TDI  => PinSignal_U_CHAR_TDO,                        -- ObjectKind=Pin|PrimaryId=U_RS422-TDI
        TDO  => PinSignal_U_RS422_TDO,                       -- ObjectKind=Pin|PrimaryId=U_RS422-TDO
        TMS  => JTAG_NEXUS_TMS,                              -- ObjectKind=Pin|PrimaryId=U_RS422-TMS
        TRST => JTAG_NEXUS_TRST                              -- ObjectKind=Pin|PrimaryId=U_RS422-TRST
      );

    U_CHAR : Configurable_U_CHAR                             -- ObjectKind=Part|PrimaryId=U_CHAR|SecondaryId=1
      Port Map
      (
        CHAR        => NamedSignal_DO,                       -- ObjectKind=Pin|PrimaryId=U_CHAR-CHAR[7..0]
        CLK         => NamedSignal_CLK,                      -- ObjectKind=Pin|PrimaryId=U_CHAR-CLK
        CLK_CAP     => NamedSignal_ENABLE,                   -- ObjectKind=Pin|PrimaryId=U_CHAR-CLK_CAP
        EXT_TRIGGER => NamedSignal_START,                    -- ObjectKind=Pin|PrimaryId=U_CHAR-EXT_TRIGGER
        TCK         => JTAG_NEXUS_TCK,                       -- ObjectKind=Pin|PrimaryId=U_CHAR-TCK
        TDI         => JTAG_NEXUS_TDI,                       -- ObjectKind=Pin|PrimaryId=U_CHAR-TDI
        TDO         => PinSignal_U_CHAR_TDO,                 -- ObjectKind=Pin|PrimaryId=U_CHAR-TDO
        TMS         => JTAG_NEXUS_TMS,                       -- ObjectKind=Pin|PrimaryId=U_CHAR-TMS
        TRST        => JTAG_NEXUS_TRST                       -- ObjectKind=Pin|PrimaryId=U_CHAR-TRST
      );

    U205 : M32_B8B1_SB                                       -- ObjectKind=Part|PrimaryId=U205|SecondaryId=1
      Port Map
      (
        A => A_CRCERR,                                       -- ObjectKind=Pin|PrimaryId=U205-A[31..0]
        B => B_CRCERR,                                       -- ObjectKind=Pin|PrimaryId=U205-B[31..0]
        C => C_CRCERR,                                       -- ObjectKind=Pin|PrimaryId=U205-C[31..0]
        D => D_CRCERR,                                       -- ObjectKind=Pin|PrimaryId=U205-D[31..0]
        E => NamedSignal_GND1_BUS,                           -- ObjectKind=Pin|PrimaryId=U205-E[31..0]
        F => NamedSignal_GND1_BUS,                           -- ObjectKind=Pin|PrimaryId=U205-F[31..0]
        G => NamedSignal_GND1_BUS,                           -- ObjectKind=Pin|PrimaryId=U205-G[31..0]
        H => NamedSignal_GND1_BUS,                           -- ObjectKind=Pin|PrimaryId=U205-H[31..0]
        S => NamedSignal_EXTA,                               -- ObjectKind=Pin|PrimaryId=U205-S[2..0]
        Y => PinSignal_U205_Y                                -- ObjectKind=Pin|PrimaryId=U205-Y[31..0]
      );

    U204 : M32_B8B1_SB                                       -- ObjectKind=Part|PrimaryId=U204|SecondaryId=1
      Port Map
      (
        A => PinSignal_U204_A,                               -- ObjectKind=Pin|PrimaryId=U204-A[31..0]
        B => PinSignal_U204_B,                               -- ObjectKind=Pin|PrimaryId=U204-B[31..0]
        C => PinSignal_U204_C,                               -- ObjectKind=Pin|PrimaryId=U204-C[31..0]
        D => PinSignal_U204_D,                               -- ObjectKind=Pin|PrimaryId=U204-D[31..0]
        E => PinSignal_U204_E,                               -- ObjectKind=Pin|PrimaryId=U204-E[31..0]
        F => PinSignal_U204_F,                               -- ObjectKind=Pin|PrimaryId=U204-F[31..0]
        G => PinSignal_U204_G,                               -- ObjectKind=Pin|PrimaryId=U204-G[31..0]
        H => NamedSignal_GPS_STAT(31 Downto 0),              -- ObjectKind=Pin|PrimaryId=U204-H[31..0]
        S => NamedSignal_GPSA,                               -- ObjectKind=Pin|PrimaryId=U204-S[2..0]
        Y => PinSignal_U204_Y                                -- ObjectKind=Pin|PrimaryId=U204-Y[31..0]
      );

    U203 : M32_B4B1_SB                                       -- ObjectKind=Part|PrimaryId=U203|SecondaryId=1
      Port Map
      (
        A => NamedSignal_FOD_A,                              -- ObjectKind=Pin|PrimaryId=U203-A[31..0]
        B => NamedSignal_FOD_B,                              -- ObjectKind=Pin|PrimaryId=U203-B[31..0]
        C => NamedSignal_FOD_C,                              -- ObjectKind=Pin|PrimaryId=U203-C[31..0]
        D => NamedSignal_FOD_D,                              -- ObjectKind=Pin|PrimaryId=U203-D[31..0]
        S => PinSignal_U203_S,                               -- ObjectKind=Pin|PrimaryId=U203-S[1..0]
        Y => PinSignal_U203_Y                                -- ObjectKind=Pin|PrimaryId=U203-Y[31..0]
      );

    U201 : AND2N1S                                           -- ObjectKind=Part|PrimaryId=U201|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_BUSY,                              -- ObjectKind=Pin|PrimaryId=U201-I0
        I1 => NamedSignal_RDY,                               -- ObjectKind=Pin|PrimaryId=U201-I1
        O  => PinSignal_U201_O                               -- ObjectKind=Pin|PrimaryId=U201-O
      );

    U200 : COMP32B                                           -- ObjectKind=Part|PrimaryId=U200|SecondaryId=1
      Port Map
      (
        A  => NamedSignal_COUNT,                             -- ObjectKind=Pin|PrimaryId=U200-A[31..0]
        B  => NamedSignal_SCNT,                              -- ObjectKind=Pin|PrimaryId=U200-B[31..0]
        EQ => PinSignal_U200_EQ                              -- ObjectKind=Pin|PrimaryId=U200-EQ
      );

    -- Signal Assignments
    ---------------------
    ACLK                            <= PinSignal_U_FPGAMFO10_ACLK; -- ObjectKind=Net|PrimaryId=ACLK
    ACNV                            <= PinSignal_U_FPGAMFO10_ACNV; -- ObjectKind=Net|PrimaryId=ACNV
    ENABLE                          <= PinSignal_U_wrap_PREV_ENABLE; -- ObjectKind=Net|PrimaryId=PREV_ENABLE
    JTAG_NEXUS_TDO                  <= PinSignal_U_RS422_TDO; -- ObjectKind=Net|PrimaryId=NetU_RS422_TDO
    NamedSignal_A_DLYERR            <= A_DELAYERR; -- ObjectKind=Net|PrimaryId=A_DELAYERR[1..4]
    NamedSignal_A_LOS               <= A_LOS; -- ObjectKind=Net|PrimaryId=A_LOS[1..4]
    NamedSignal_A_MISSING           <= A_MISSING; -- ObjectKind=Net|PrimaryId=A_MISSING[1..4]
    NamedSignal_A_UP                <= A_UP; -- ObjectKind=Net|PrimaryId=A_UP[1..4]
    NamedSignal_B_DLYERR            <= B_DELAYERR; -- ObjectKind=Net|PrimaryId=B_DELAYERR[1..4]
    NamedSignal_B_LOS               <= B_LOS; -- ObjectKind=Net|PrimaryId=B_LOS[1..4]
    NamedSignal_B_MISSING           <= B_MISSING; -- ObjectKind=Net|PrimaryId=B_MISSING[1..4]
    NamedSignal_B_UP                <= B_UP; -- ObjectKind=Net|PrimaryId=B_UP[1..4]
    NamedSignal_BUSY                <= PinSignal_U_uart_RS422_BUSY; -- ObjectKind=Net|PrimaryId=BUSY
    NamedSignal_C_DLYERR            <= C_DELAYERR; -- ObjectKind=Net|PrimaryId=C_DELAYERR[1..4]
    NamedSignal_C_LOS               <= C_LOS; -- ObjectKind=Net|PrimaryId=C_LOS[1..4]
    NamedSignal_C_MISSING           <= C_MISSING; -- ObjectKind=Net|PrimaryId=C_MISSING[1..4]
    NamedSignal_C_UP                <= C_UP; -- ObjectKind=Net|PrimaryId=C_UP[1..4]
    NamedSignal_C1DIV               <= "0000000000100011"; -- ObjectKind=Net|PrimaryId=C1DIV[15..0]
    NamedSignal_CLK                 <= CLK; -- ObjectKind=Net|PrimaryId=CLK
    NamedSignal_CNT                 <= CNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]
    NamedSignal_COUNT(25 Downto 0)  <= NamedSignal_CNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]
    NamedSignal_COUNT(31 Downto 26) <= NamedSignal_GND2_BUS; -- ObjectKind=Net|PrimaryId=COUNT[31..26]
    NamedSignal_D_DLYERR            <= D_DELAYERR; -- ObjectKind=Net|PrimaryId=D_DELAYERR[1..4]
    NamedSignal_D_LOS               <= D_LOS; -- ObjectKind=Net|PrimaryId=D_LOS[1..4]
    NamedSignal_D_MISSING           <= D_MISSING; -- ObjectKind=Net|PrimaryId=D_MISSING[1..4]
    NamedSignal_D_UP                <= D_UP; -- ObjectKind=Net|PrimaryId=D_UP[1..4]
    NamedSignal_DO                  <= PinSignal_U_wrap_DOUT; -- ObjectKind=Net|PrimaryId=DO[7..0]
    NamedSignal_ENABLE              <= PinSignal_U201_O; -- ObjectKind=Net|PrimaryId=ENABLE
    NamedSignal_EXTA                <= PinSignal_U_malink_EXTA; -- ObjectKind=Net|PrimaryId=EXTA[2..0]
    NamedSignal_EXTD                <= PinSignal_U205_Y; -- ObjectKind=Net|PrimaryId=EXTD[31..0]
    NamedSignal_FOA                 <= PinSignal_U_malink_FOA; -- ObjectKind=Net|PrimaryId=FOA[4..0]
    NamedSignal_FOD                 <= PinSignal_U203_Y; -- ObjectKind=Net|PrimaryId=FOD[31..0]
    NamedSignal_FOD_A               <= PinSignal_U_fodiag_A_D; -- ObjectKind=Net|PrimaryId=FOD_A[31..0]
    NamedSignal_FOD_B               <= PinSignal_U_fodiag_B_D; -- ObjectKind=Net|PrimaryId=FOD_B[31..0]
    NamedSignal_FOD_C               <= PinSignal_U_fodiag_C_D; -- ObjectKind=Net|PrimaryId=FOD_C[31..0]
    NamedSignal_FOD_D               <= PinSignal_U_fodiag_D_D; -- ObjectKind=Net|PrimaryId=FOD_D[31..0]
    NamedSignal_FODERR              <= PinSignal_U_derrdiag_O; -- ObjectKind=Net|PrimaryId=FODERR[15..0]
    NamedSignal_FOLOS               <= PinSignal_U_losdiag_O; -- ObjectKind=Net|PrimaryId=FOLOS[15..0]
    NamedSignal_FOMISS              <= PinSignal_U_missdiag_O; -- ObjectKind=Net|PrimaryId=FOMISS[15..0]
    NamedSignal_FOUP                <= PinSignal_U_updiag_O; -- ObjectKind=Net|PrimaryId=FOUP[15..0]
    NamedSignal_GND1_BUS            <= "00000000000000000000000000000000"; -- ObjectKind=Net|PrimaryId=GND1_BUS[31..0]
    NamedSignal_GND2_BUS            <= "000000"; -- ObjectKind=Net|PrimaryId=COUNT[31..26]
    NamedSignal_GPS_STAT            <= GPS_STAT; -- ObjectKind=Net|PrimaryId=GPS_STAT[255..0]
    NamedSignal_GPSA                <= PinSignal_U_malink_GPSA; -- ObjectKind=Net|PrimaryId=GPSA[2..0]
    NamedSignal_GPSD                <= PinSignal_U204_Y; -- ObjectKind=Net|PrimaryId=GPSD[31..0]
    NamedSignal_MA                  <= PinSignal_U_malink_MA; -- ObjectKind=Net|PrimaryId=MA[3..0]
    NamedSignal_MD                  <= PinSignal_U_madiag_D; -- ObjectKind=Net|PrimaryId=MD[31..0]
    NamedSignal_RDY                 <= PinSignal_U_wrap_RDY; -- ObjectKind=Net|PrimaryId=RDY
    NamedSignal_RST                 <= RST; -- ObjectKind=Net|PrimaryId=RST
    NamedSignal_SCNT                <= "00000000000000100000000000000000"; -- ObjectKind=Net|PrimaryId=SCNT[31..0]
    NamedSignal_START               <= PinSignal_U200_EQ; -- ObjectKind=Net|PrimaryId=START
    NamedSignal_VCXO_CTRL           <= PinSignal_U_FPGAMFO10_VCXO_CTRL; -- ObjectKind=Net|PrimaryId=VCXO_CTRL[15..0]
    PinSignal_U_fodiag_A_A          <= NamedSignal_FOA(2 Downto 1); -- ObjectKind=Net|PrimaryId=FOA[2..0]
    PinSignal_U_fodiag_B_A          <= NamedSignal_FOA(2 Downto 1); -- ObjectKind=Net|PrimaryId=FOA[2..0]
    PinSignal_U_fodiag_C_A          <= NamedSignal_FOA(2 Downto 1); -- ObjectKind=Net|PrimaryId=FOA[2..0]
    PinSignal_U_fodiag_D_A          <= NamedSignal_FOA(2 Downto 1); -- ObjectKind=Net|PrimaryId=FOA[2..0]
    PinSignal_U203_S                <= NamedSignal_FOA(4 Downto 3); -- ObjectKind=Net|PrimaryId=FOA[4..0]
    PinSignal_U204_A                <= NamedSignal_GPS_STAT(255 Downto 224); -- ObjectKind=Net|PrimaryId=GPS_STAT[255..0]
    PinSignal_U204_B                <= NamedSignal_GPS_STAT(223 Downto 192); -- ObjectKind=Net|PrimaryId=GPS_STAT[223..0]
    PinSignal_U204_C                <= NamedSignal_GPS_STAT(191 Downto 160); -- ObjectKind=Net|PrimaryId=GPS_STAT[191..0]
    PinSignal_U204_D                <= NamedSignal_GPS_STAT(159 Downto 128); -- ObjectKind=Net|PrimaryId=GPS_STAT[159..0]
    PinSignal_U204_E                <= NamedSignal_GPS_STAT(127 Downto 96); -- ObjectKind=Net|PrimaryId=GPS_STAT[127..0]
    PinSignal_U204_F                <= NamedSignal_GPS_STAT(95 Downto 64); -- ObjectKind=Net|PrimaryId=GPS_STAT[95..0]
    PinSignal_U204_G                <= NamedSignal_GPS_STAT(63 Downto 32); -- ObjectKind=Net|PrimaryId=GPS_STAT[63..0]
    POSHOLD                         <= PinSignal_U_decode_rs422_POSHOLD; -- ObjectKind=Net|PrimaryId=POSHOLD
    PREV_DI                         <= PinSignal_U_malink_DO; -- ObjectKind=Net|PrimaryId=PREV_DI[7..0]
    PREV_DONE                       <= PinSignal_U_malink_DONE; -- ObjectKind=Net|PrimaryId=PREV_DONE
    PREV_RDY                        <= PinSignal_U_malink_RDY; -- ObjectKind=Net|PrimaryId=PREV_RDY
    RS422_DRV                       <= PinSignal_U_uart_RS422_TX; -- ObjectKind=Net|PrimaryId=TX
    START                           <= PinSignal_U_wrap_PREV_START; -- ObjectKind=Net|PrimaryId=PREV_START
    STAT                            <= PinSignal_U_madiag_STAT; -- ObjectKind=Net|PrimaryId=STAT[1023..0]
    UNHOLD                          <= PinSignal_U_decode_rs422_UNHOLD; -- ObjectKind=Net|PrimaryId=UNHOLD
    VCXO_CTRL                       <= PinSignal_U_FPGAMFO10_VCXO_CTRL; -- ObjectKind=Net|PrimaryId=VCXO_CTRL[15..0]

End Structure;
------------------------------------------------------------

