------------------------------------------------------------
-- VHDL FPGAMFO1
-- 2021 9 2 10 12 21
-- Created By "Altium Designer VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 16.1.12.290
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGAMFO1
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity FPGAMFO1 Is
  port
  (
    X_1PPS_LONG   : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPS_LONG
    X_1PPS_PARITY : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPS_PARITY
    X_1PPSIN      : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPSIN
    X_1PPSOUT     : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPSOUT
    A             : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=A[31..0]
    ADDR          : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=ADDR[31..0]
    B             : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=B[31..0]
    CLK           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=CLK
    CNT           : Out   STD_LOGIC_VECTOR(25 Downto 0);     -- ObjectKind=Port|PrimaryId=CNT[25..0]
    CNTROUT       : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=CNTROUT
    CRCERR        : Out   STD_LOGIC_VECTOR(7 Downto 0);      -- ObjectKind=Port|PrimaryId=CRCERR[7..0]
    ERRC          : Out   STD_LOGIC_VECTOR(3 Downto 0);      -- ObjectKind=Port|PrimaryId=ERRC[3..0]
    GPSRCV        : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=GPSRCV[31..0]
    LDZ           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=LDZ
    LOS           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=LOS
    OCXO_CLK      : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=OCXO_CLK
    OCXO_PRESENT  : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=OCXO_PRESENT
    RST           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=RST
    STAT          : In    STD_LOGIC_VECTOR(1023 Downto 0);   -- ObjectKind=Port|PrimaryId=STAT[1023..0]
    SYNCOUT       : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=SYNCOUT
    UP            : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=UP
    VCO_SYNC      : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=VCO_SYNC
    VCO_SYNCIN    : In    STD_LOGIC                          -- ObjectKind=Port|PrimaryId=VCO_SYNCIN
  );
  attribute MacroCell : boolean;

End FPGAMFO1;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGAMFO1 Is
   Component AND2N1S                                         -- ObjectKind=Part|PrimaryId=U111|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U111-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U111-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U111-O
      );
   End Component;

   Component AND2S                                           -- ObjectKind=Part|PrimaryId=U98|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U98-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U98-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U98-O
      );
   End Component;

   Component AND3N2S                                         -- ObjectKind=Part|PrimaryId=U105|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U105-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U105-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U105-I2
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U105-O
      );
   End Component;

   Component AND3S                                           -- ObjectKind=Part|PrimaryId=U89|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U89-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U89-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U89-I2
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U89-O
      );
   End Component;

   Component CB2RES                                          -- ObjectKind=Part|PrimaryId=U88|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U88-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U88-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U88-CEO
        Q0  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U88-Q0
        Q1  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U88-Q1
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U88-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U88-TC
      );
   End Component;

   Component CB4RES                                          -- ObjectKind=Part|PrimaryId=U86|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U86-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U86-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U86-CEO
        Q0  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U86-Q0
        Q1  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U86-Q1
        Q2  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U86-Q2
        Q3  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U86-Q3
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U86-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U86-TC
      );
   End Component;

   Component CB4RLES                                         -- ObjectKind=Part|PrimaryId=U85|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U85-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U85-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U85-CEO
        D0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U85-D0
        D1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U85-D1
        D2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U85-D2
        D3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U85-D3
        L   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U85-L
        Q0  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U85-Q0
        Q1  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U85-Q1
        Q2  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U85-Q2
        Q3  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U85-Q3
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U85-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U85-TC
      );
   End Component;

   Component CB8REB                                          -- ObjectKind=Part|PrimaryId=U208|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U208-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U208-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U208-CEO
        Q   : out STD_LOGIC_VECTOR(7 Downto 0);              -- ObjectKind=Pin|PrimaryId=U208-Q[7..0]
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U208-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U208-TC
      );
   End Component;

   Component CB16CLEDB                                       -- ObjectKind=Part|PrimaryId=U207|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U207-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U207-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U207-CEO
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U207-CLR
        D   : in  STD_LOGIC_VECTOR(15 Downto 0);             -- ObjectKind=Pin|PrimaryId=U207-D[15..0]
        L   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U207-L
        Q   : out STD_LOGIC_VECTOR(15 Downto 0);             -- ObjectKind=Pin|PrimaryId=U207-Q[15..0]
        TC  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U207-TC
        UP  : in  STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U207-UP
      );
   End Component;

   Component CB16REB                                         -- ObjectKind=Part|PrimaryId=U91|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U91-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U91-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U91-CEO
        Q   : out STD_LOGIC_VECTOR(15 Downto 0);             -- ObjectKind=Pin|PrimaryId=U91-Q[15..0]
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U91-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U91-TC
      );
   End Component;

   Component FD                                              -- ObjectKind=Part|PrimaryId=U94|SecondaryId=1
      port
      (
        C : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U94-C
        D : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U94-D
        Q : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U94-Q
      );
   End Component;

   Component FD2ES                                           -- ObjectKind=Part|PrimaryId=U125|SecondaryId=1
      port
      (
        C  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U125-C
        CE : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U125-CE
        D0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U125-D0
        D1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U125-D1
        Q0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U125-Q0
        Q1 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U125-Q1
      );
   End Component;

   Component FDC_1                                           -- ObjectKind=Part|PrimaryId=U116|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-CLR
        D   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-D
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U116-Q
      );
   End Component;

   Component FDCE                                            -- ObjectKind=Part|PrimaryId=U115|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U115-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U115-CE
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U115-CLR
        D   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U115-D
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U115-Q
      );
   End Component;

   Component FDE                                             -- ObjectKind=Part|PrimaryId=U101|SecondaryId=1
      port
      (
        C  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U101-C
        CE : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U101-CE
        D  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U101-D
        Q  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U101-Q
      );
   End Component;

   Component FDEN                                            -- ObjectKind=Part|PrimaryId=U95|SecondaryId=1
      port
      (
        C  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U95-C
        CE : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U95-CE
        D  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U95-D
        Q  : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U95-Q
        QN : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U95-QN
      );
   End Component;

   Component FJKC                                            -- ObjectKind=Part|PrimaryId=U102|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U102-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U102-CLR
        J   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U102-J
        K   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U102-K
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U102-Q
      );
   End Component;

   Component INV                                             -- ObjectKind=Part|PrimaryId=U92|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U92-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U92-O
      );
   End Component;

   Component INV2S                                           -- ObjectKind=Part|PrimaryId=U123|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U123-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U123-I1
        O0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U123-O0
        O1 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U123-O1
      );
   End Component;

   Component LinkRcv                                         -- ObjectKind=Sheet Symbol|PrimaryId=U_linkrcv
      port
      (
        A      : out STD_LOGIC_VECTOR(31 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-A[31..0]
        ADDR   : out STD_LOGIC_VECTOR(31 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-ADDR[31..0]
        B      : out STD_LOGIC_VECTOR(31 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-B[31..0]
        CLK    : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-CLK
        CRCERR : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-CRCERR
        CRCOK  : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-CRCOK
        GPS    : out STD_LOGIC_VECTOR(31 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-GPS[31..0]
        INA    : in  STD_LOGIC_VECTOR(31 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INA[31..0]
        INADDR : in  STD_LOGIC_VECTOR(31 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INADDR[31..0]
        INB    : in  STD_LOGIC_VECTOR(31 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INB[31..0]
        INGPS  : in  STD_LOGIC_VECTOR(31 Downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INGPS[31..0]
        MI     : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-MI
        RST    : in  STD_LOGIC                               -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-RST
      );
   End Component;

   Component M1_S4S1                                         -- ObjectKind=Part|PrimaryId=U121|SecondaryId=1
      port
      (
        D0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U121-D0
        D1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U121-D1
        D2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U121-D2
        D3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U121-D3
        O  : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U121-O
        S0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U121-S0
        S1 : in  STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U121-S1
      );
   End Component;

   Component M2_S2S1                                         -- ObjectKind=Part|PrimaryId=U93|SecondaryId=1
      port
      (
        A0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U93-A0
        A1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U93-A1
        B0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U93-B0
        B1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U93-B1
        S0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U93-S0
        Y0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U93-Y0
        Y1 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U93-Y1
      );
   End Component;

   Component M32_B2B1                                        -- ObjectKind=Part|PrimaryId=U106|SecondaryId=1
      port
      (
        A  : in  STD_LOGIC_VECTOR(31 Downto 0);              -- ObjectKind=Pin|PrimaryId=U106-A[31..0]
        B  : in  STD_LOGIC_VECTOR(31 Downto 0);              -- ObjectKind=Pin|PrimaryId=U106-B[31..0]
        S0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U106-S0
        Y  : out STD_LOGIC_VECTOR(31 Downto 0)               -- ObjectKind=Pin|PrimaryId=U106-Y[31..0]
      );
   End Component;

   Component NAND2S                                          -- ObjectKind=Part|PrimaryId=U112|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U112-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U112-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U112-O
      );
   End Component;

   Component NAND5S                                          -- ObjectKind=Part|PrimaryId=U90|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U90-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U90-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U90-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U90-I3
        I4 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U90-I4
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U90-O
      );
   End Component;

   Component NAND8B                                          -- ObjectKind=Part|PrimaryId=U96|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(7 Downto 0);                -- ObjectKind=Pin|PrimaryId=U96-I[7..0]
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U96-O
      );
   End Component;

   Component NOR5S                                           -- ObjectKind=Part|PrimaryId=U114|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U114-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U114-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U114-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U114-I3
        I4 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U114-I4
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U114-O
      );
   End Component;

   Component OR8B                                            -- ObjectKind=Part|PrimaryId=U100|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(7 Downto 0);                -- ObjectKind=Pin|PrimaryId=U100-I[7..0]
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U100-O
      );
   End Component;

   Component SR8REB                                          -- ObjectKind=Part|PrimaryId=U97|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U97-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U97-CE
        Q   : out STD_LOGIC_VECTOR(7 Downto 0);              -- ObjectKind=Pin|PrimaryId=U97-Q[7..0]
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U97-R
        SLI : in  STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U97-SLI
      );
   End Component;

   Component TimingLink                                      -- ObjectKind=Sheet Symbol|PrimaryId=U_timinglink
      port
      (
        A         : out STD_LOGIC_VECTOR(31 Downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-A[31..0]
        ADDR      : out STD_LOGIC_VECTOR(31 Downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-ADDR[31..0]
        B         : out STD_LOGIC_VECTOR(31 Downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-B[31..0]
        CLK       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-CLK
        GPS       : out STD_LOGIC_VECTOR(31 Downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-GPS[31..0]
        IN_CE     : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_CE
        IN_CRCERR : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_CRCERR
        IN_CRCOK  : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_CRCOK
        IN_D      : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_D
        IN_DONE   : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_DONE
        IN_START  : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_START
        OUT_CE    : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_CE
        OUT_D     : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_D
        OUT_DONE  : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_DONE
        OUT_START : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_START
        RST       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-RST
        STAT      : in  STD_LOGIC_VECTOR(1023 Downto 0)      -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-STAT[1023..0]
      );
   End Component;


    Signal NamedSignal_1PPS                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPS
    Signal NamedSignal_1PPSIN               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPSIN
    Signal NamedSignal_CLK                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK
    Signal NamedSignal_CLK0ENB              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK0ENB
    Signal NamedSignal_CNT                  : STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Net|PrimaryId=CNT[22..0]
    Signal NamedSignal_DM1                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DM1
    Signal NamedSignal_ERC                  : STD_LOGIC_VECTOR(3 Downto 0); -- ObjectKind=Net|PrimaryId=ERC[3..0]
    Signal NamedSignal_GND1_BUS             : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[31..0]
    Signal NamedSignal_IN_CE                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CE
    Signal NamedSignal_IN_CRCERR            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CRCERR
    Signal NamedSignal_IN_CRCOK             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CRCOK
    Signal NamedSignal_IN_D                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_D
    Signal NamedSignal_IN_DONE              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_DONE
    Signal NamedSignal_IN_ENB               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_ENB
    Signal NamedSignal_LD2                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LD2
    Signal NamedSignal_LDCNT                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LDCNT
    Signal NamedSignal_LOS                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LOS
    Signal NamedSignal_M1                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=M1
    Signal NamedSignal_N1PPS                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=N1PPS
    Signal NamedSignal_NDO                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NDO
    Signal NamedSignal_NDOENB               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NDOENB
    Signal NamedSignal_NM1                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NM1
    Signal NamedSignal_OCXO_PRESENT         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OCXO_PRESENT
    Signal NamedSignal_ONEUS                : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=ONEUS[15..0]
    Signal NamedSignal_OUT_CE               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_CE
    Signal NamedSignal_OUT_D                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_D
    Signal NamedSignal_REFCLK0              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=REFCLK0
    Signal NamedSignal_REFCLK1              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=REFCLK1
    Signal NamedSignal_RST                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST
    Signal NamedSignal_VCO_SYNCIN           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCO_SYNCIN
    Signal PinSignal_U_linkrcv_A            : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=A[31..0]
    Signal PinSignal_U_linkrcv_ADDR         : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=NetU106_A[31..0]
    Signal PinSignal_U_linkrcv_B            : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=B[31..0]
    Signal PinSignal_U_linkrcv_GPS          : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GPSRCV[31..0]
    Signal PinSignal_U_timinglink_A         : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=INA
    Signal PinSignal_U_timinglink_ADDR      : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=INADDR
    Signal PinSignal_U_timinglink_B         : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=INB
    Signal PinSignal_U_timinglink_GPS       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=INGPS
    Signal PinSignal_U_timinglink_IN_CRCERR : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CRCERR
    Signal PinSignal_U_timinglink_IN_CRCOK  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CRCOK
    Signal PinSignal_U_timinglink_IN_DONE   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_DONE
    Signal PinSignal_U_timinglink_OUT_D     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_D
    Signal PinSignal_U_timinglink_OUT_DONE  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_DONE
    Signal PinSignal_U100_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU98_I1
    Signal PinSignal_U101_Q                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU101_Q
    Signal PinSignal_U102_Q                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_ENB
    Signal PinSignal_U103_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU103_O
    Signal PinSignal_U104_Q                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CE
    Signal PinSignal_U105_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU103_I1
    Signal PinSignal_U106_Y                 : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=ADDR[31..0]
    Signal PinSignal_U107_Q                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_ENB
    Signal PinSignal_U108_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU108_O
    Signal PinSignal_U109_Q                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_CE
    Signal PinSignal_U110_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NDOENB
    Signal PinSignal_U111_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPSIN
    Signal PinSignal_U112_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU112_O
    Signal PinSignal_U113_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NDO
    Signal PinSignal_U114_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU114_O
    Signal PinSignal_U115_Q                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU115_Q
    Signal PinSignal_U116_Q                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU116_Q
    Signal PinSignal_U117_Q                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU115_D
    Signal PinSignal_U118_Q                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_D
    Signal PinSignal_U119_Q0                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ERC0
    Signal PinSignal_U119_Q1                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ERC1
    Signal PinSignal_U119_Q2                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ERC2
    Signal PinSignal_U119_Q3                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ERC3
    Signal PinSignal_U119_TC                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU119_TC
    Signal PinSignal_U120_Q                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LD2
    Signal PinSignal_U121_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU121_O
    Signal PinSignal_U122_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU115_CLR
    Signal PinSignal_U123_O0                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU120_CLR
    Signal PinSignal_U123_O1                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU119_CE
    Signal PinSignal_U124_O0                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU124_O0
    Signal PinSignal_U124_O1                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU124_O1
    Signal PinSignal_U125_Q0                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU125_Q0
    Signal PinSignal_U125_Q1                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DM1
    Signal PinSignal_U206_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=M1
    Signal PinSignal_U207_TC                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU207_TC
    Signal PinSignal_U208_Q                 : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=CRCERR[7..0]
    Signal PinSignal_U209_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU207_CE
    Signal PinSignal_U85_CEO                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU85_CEO
    Signal PinSignal_U85_Q0                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT3
    Signal PinSignal_U85_Q1                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT4
    Signal PinSignal_U85_Q2                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT5
    Signal PinSignal_U85_Q3                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT6
    Signal PinSignal_U85_TC                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU85_TC
    Signal PinSignal_U86_Q0                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT0
    Signal PinSignal_U86_Q1                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT1
    Signal PinSignal_U86_Q2                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT2
    Signal PinSignal_U87_Q0                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT23
    Signal PinSignal_U87_Q1                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT24
    Signal PinSignal_U87_Q2                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT25
    Signal PinSignal_U87_Q3                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU87_Q3
    Signal PinSignal_U88_Q0                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=REFCLK0
    Signal PinSignal_U88_Q1                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=REFCLK1
    Signal PinSignal_U89_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK0ENB
    Signal PinSignal_U90_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NM1
    Signal PinSignal_U91_CEO                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU87_CE
    Signal PinSignal_U91_Q                  : STD_LOGIC_VECTOR(15 Downto 0); -- ObjectKind=Net|PrimaryId=CNT[22..0]
    Signal PinSignal_U91_TC                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU90_I3
    Signal PinSignal_U92_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU92_O
    Signal PinSignal_U93_Y0                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU93_Y0
    Signal PinSignal_U93_Y1                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LDCNT
    Signal PinSignal_U94_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU94_Q
    Signal PinSignal_U95_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=N1PPS
    Signal PinSignal_U95_QN                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPS
    Signal PinSignal_U96_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU96_O
    Signal PinSignal_U97_Q                  : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=NetU96_I[7..0]
    Signal PinSignal_U98_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU98_O
    Signal PinSignal_U99_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OCXO_PRESENT
    Signal PowerSignal_GND                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

Begin
    U_timinglink : TimingLink                                -- ObjectKind=Sheet Symbol|PrimaryId=U_timinglink
      Port Map
      (
        A         => PinSignal_U_timinglink_A,               -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-A[31..0]
        ADDR      => PinSignal_U_timinglink_ADDR,            -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-ADDR[31..0]
        B         => PinSignal_U_timinglink_B,               -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-B[31..0]
        CLK       => NamedSignal_CLK,                        -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-CLK
        GPS       => PinSignal_U_timinglink_GPS,             -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-GPS[31..0]
        IN_CE     => NamedSignal_IN_CE,                      -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_CE
        IN_CRCERR => PinSignal_U_timinglink_IN_CRCERR,       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_CRCERR
        IN_CRCOK  => PinSignal_U_timinglink_IN_CRCOK,        -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_CRCOK
        IN_D      => NamedSignal_IN_D,                       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_D
        IN_DONE   => PinSignal_U_timinglink_IN_DONE,         -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_DONE
        IN_START  => NamedSignal_1PPSIN,                     -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_START
        OUT_CE    => NamedSignal_OUT_CE,                     -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_CE
        OUT_D     => PinSignal_U_timinglink_OUT_D,           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_D
        OUT_DONE  => PinSignal_U_timinglink_OUT_DONE,        -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_DONE
        OUT_START => NamedSignal_1PPS,                       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_START
        RST       => RST,                                    -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-RST
        STAT      => STAT                                    -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-STAT[1023..0]
      );

    U_linkrcv : LinkRcv                                      -- ObjectKind=Sheet Symbol|PrimaryId=U_linkrcv
      Port Map
      (
        A      => PinSignal_U_linkrcv_A,                     -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-A[31..0]
        ADDR   => PinSignal_U_linkrcv_ADDR,                  -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-ADDR[31..0]
        B      => PinSignal_U_linkrcv_B,                     -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-B[31..0]
        CLK    => NamedSignal_CLK,                           -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-CLK
        CRCERR => NamedSignal_IN_CRCERR,                     -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-CRCERR
        CRCOK  => NamedSignal_IN_CRCOK,                      -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-CRCOK
        GPS    => PinSignal_U_linkrcv_GPS,                   -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-GPS[31..0]
        INA    => PinSignal_U_timinglink_A,                  -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INA[31..0]
        INADDR => PinSignal_U_timinglink_ADDR,               -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INADDR[31..0]
        INB    => PinSignal_U_timinglink_B,                  -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INB[31..0]
        INGPS  => PinSignal_U_timinglink_GPS,                -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INGPS[31..0]
        MI     => PinSignal_U206_O,                          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-MI
        RST    => RST                                        -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-RST
      );

    U209 : INV                                               -- ObjectKind=Part|PrimaryId=U209|SecondaryId=1
      Port Map
      (
        I => PinSignal_U207_TC,                              -- ObjectKind=Pin|PrimaryId=U209-I
        O => PinSignal_U209_O                                -- ObjectKind=Pin|PrimaryId=U209-O
      );

    U208 : CB8REB                                            -- ObjectKind=Part|PrimaryId=U208|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U208-C
        CE => NamedSignal_IN_CRCERR,                         -- ObjectKind=Pin|PrimaryId=U208-CE
        Q  => PinSignal_U208_Q,                              -- ObjectKind=Pin|PrimaryId=U208-Q[7..0]
        R  => NamedSignal_RST                                -- ObjectKind=Pin|PrimaryId=U208-R
      );

    U207 : CB16CLEDB                                         -- ObjectKind=Part|PrimaryId=U207|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U207-C
        CE  => PinSignal_U209_O,                             -- ObjectKind=Pin|PrimaryId=U207-CE
        CLR => NamedSignal_RST,                              -- ObjectKind=Pin|PrimaryId=U207-CLR
        D   => NamedSignal_ONEUS,                            -- ObjectKind=Pin|PrimaryId=U207-D[15..0]
        L   => NamedSignal_M1,                               -- ObjectKind=Pin|PrimaryId=U207-L
        TC  => PinSignal_U207_TC,                            -- ObjectKind=Pin|PrimaryId=U207-TC
        UP  => PowerSignal_GND                               -- ObjectKind=Pin|PrimaryId=U207-UP
      );

    U206 : AND2N1S                                           -- ObjectKind=Part|PrimaryId=U206|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_NM1,                               -- ObjectKind=Pin|PrimaryId=U206-I0
        I1 => NamedSignal_CLK0ENB,                           -- ObjectKind=Pin|PrimaryId=U206-I1
        O  => PinSignal_U206_O                               -- ObjectKind=Pin|PrimaryId=U206-O
      );

    U125 : FD2ES                                             -- ObjectKind=Part|PrimaryId=U125|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U125-C
        CE => NamedSignal_CNT(0),                            -- ObjectKind=Pin|PrimaryId=U125-CE
        D0 => PinSignal_U124_O0,                             -- ObjectKind=Pin|PrimaryId=U125-D0
        D1 => PinSignal_U124_O1,                             -- ObjectKind=Pin|PrimaryId=U125-D1
        Q0 => PinSignal_U125_Q0,                             -- ObjectKind=Pin|PrimaryId=U125-Q0
        Q1 => PinSignal_U125_Q1                              -- ObjectKind=Pin|PrimaryId=U125-Q1
      );

    U124 : INV2S                                             -- ObjectKind=Part|PrimaryId=U124|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U121_O,                              -- ObjectKind=Pin|PrimaryId=U124-I0
        I1 => NamedSignal_NDO,                               -- ObjectKind=Pin|PrimaryId=U124-I1
        O0 => PinSignal_U124_O0,                             -- ObjectKind=Pin|PrimaryId=U124-O0
        O1 => PinSignal_U124_O1                              -- ObjectKind=Pin|PrimaryId=U124-O1
      );

    U123 : INV2S                                             -- ObjectKind=Part|PrimaryId=U123|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U119_Q3,                             -- ObjectKind=Pin|PrimaryId=U123-I0
        I1 => PinSignal_U119_TC,                             -- ObjectKind=Pin|PrimaryId=U123-I1
        O0 => PinSignal_U123_O0,                             -- ObjectKind=Pin|PrimaryId=U123-O0
        O1 => PinSignal_U123_O1                              -- ObjectKind=Pin|PrimaryId=U123-O1
      );

    U122 : INV                                               -- ObjectKind=Part|PrimaryId=U122|SecondaryId=1
      Port Map
      (
        I => PinSignal_U116_Q,                               -- ObjectKind=Pin|PrimaryId=U122-I
        O => PinSignal_U122_O                                -- ObjectKind=Pin|PrimaryId=U122-O
      );

    U121 : M1_S4S1                                           -- ObjectKind=Part|PrimaryId=U121|SecondaryId=1
      Port Map
      (
        D0 => NamedSignal_DM1,                               -- ObjectKind=Pin|PrimaryId=U121-D0
        D1 => NamedSignal_NDO,                               -- ObjectKind=Pin|PrimaryId=U121-D1
        D2 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U121-D2
        D3 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U121-D3
        O  => PinSignal_U121_O,                              -- ObjectKind=Pin|PrimaryId=U121-O
        S0 => NamedSignal_CNT(1),                            -- ObjectKind=Pin|PrimaryId=U121-S0
        S1 => NamedSignal_CNT(2)                             -- ObjectKind=Pin|PrimaryId=U121-S1
      );

    U120 : FDCE                                              -- ObjectKind=Part|PrimaryId=U120|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U120-C
        CE  => NamedSignal_CLK0ENB,                          -- ObjectKind=Pin|PrimaryId=U120-CE
        CLR => PinSignal_U123_O0,                            -- ObjectKind=Pin|PrimaryId=U120-CLR
        D   => NamedSignal_1PPSIN,                           -- ObjectKind=Pin|PrimaryId=U120-D
        Q   => PinSignal_U120_Q                              -- ObjectKind=Pin|PrimaryId=U120-Q
      );

    U119 : CB4RES                                            -- ObjectKind=Part|PrimaryId=U119|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_N1PPS,                             -- ObjectKind=Pin|PrimaryId=U119-C
        CE => PinSignal_U123_O1,                             -- ObjectKind=Pin|PrimaryId=U119-CE
        Q0 => PinSignal_U119_Q0,                             -- ObjectKind=Pin|PrimaryId=U119-Q0
        Q1 => PinSignal_U119_Q1,                             -- ObjectKind=Pin|PrimaryId=U119-Q1
        Q2 => PinSignal_U119_Q2,                             -- ObjectKind=Pin|PrimaryId=U119-Q2
        Q3 => PinSignal_U119_Q3,                             -- ObjectKind=Pin|PrimaryId=U119-Q3
        R  => NamedSignal_1PPSIN,                            -- ObjectKind=Pin|PrimaryId=U119-R
        TC => PinSignal_U119_TC                              -- ObjectKind=Pin|PrimaryId=U119-TC
      );

    U118 : FDC_1                                             -- ObjectKind=Part|PrimaryId=U118|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_VCO_SYNCIN,                       -- ObjectKind=Pin|PrimaryId=U118-C
        CLR => LOS,                                          -- ObjectKind=Pin|PrimaryId=U118-CLR
        D   => PinSignal_U117_Q,                             -- ObjectKind=Pin|PrimaryId=U118-D
        Q   => PinSignal_U118_Q                              -- ObjectKind=Pin|PrimaryId=U118-Q
      );

    U117 : FDE                                               -- ObjectKind=Part|PrimaryId=U117|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U117-C
        CE => NamedSignal_CNT(0),                            -- ObjectKind=Pin|PrimaryId=U117-CE
        D  => PinSignal_U116_Q,                              -- ObjectKind=Pin|PrimaryId=U117-D
        Q  => PinSignal_U117_Q                               -- ObjectKind=Pin|PrimaryId=U117-Q
      );

    U116 : FDC_1                                             -- ObjectKind=Part|PrimaryId=U116|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_VCO_SYNCIN,                       -- ObjectKind=Pin|PrimaryId=U116-C
        CLR => PinSignal_U115_Q,                             -- ObjectKind=Pin|PrimaryId=U116-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U116-D
        Q   => PinSignal_U116_Q                              -- ObjectKind=Pin|PrimaryId=U116-Q
      );

    U115 : FDCE                                              -- ObjectKind=Part|PrimaryId=U115|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U115-C
        CE  => NamedSignal_CNT(0),                           -- ObjectKind=Pin|PrimaryId=U115-CE
        CLR => PinSignal_U122_O,                             -- ObjectKind=Pin|PrimaryId=U115-CLR
        D   => PinSignal_U117_Q,                             -- ObjectKind=Pin|PrimaryId=U115-D
        Q   => PinSignal_U115_Q                              -- ObjectKind=Pin|PrimaryId=U115-Q
      );

    U114 : NOR5S                                             -- ObjectKind=Part|PrimaryId=U114|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_LOS,                               -- ObjectKind=Pin|PrimaryId=U114-I0
        I1 => PinSignal_U119_Q0,                             -- ObjectKind=Pin|PrimaryId=U114-I1
        I2 => PinSignal_U119_Q1,                             -- ObjectKind=Pin|PrimaryId=U114-I2
        I3 => PinSignal_U119_Q2,                             -- ObjectKind=Pin|PrimaryId=U114-I3
        I4 => PinSignal_U119_Q3,                             -- ObjectKind=Pin|PrimaryId=U114-I4
        O  => PinSignal_U114_O                               -- ObjectKind=Pin|PrimaryId=U114-O
      );

    U113 : AND2S                                             -- ObjectKind=Part|PrimaryId=U113|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U112_O,                              -- ObjectKind=Pin|PrimaryId=U113-I0
        I1 => NamedSignal_NM1,                               -- ObjectKind=Pin|PrimaryId=U113-I1
        O  => PinSignal_U113_O                               -- ObjectKind=Pin|PrimaryId=U113-O
      );

    U112 : NAND2S                                            -- ObjectKind=Part|PrimaryId=U112|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_OUT_D,                             -- ObjectKind=Pin|PrimaryId=U112-I0
        I1 => NamedSignal_NDOENB,                            -- ObjectKind=Pin|PrimaryId=U112-I1
        O  => PinSignal_U112_O                               -- ObjectKind=Pin|PrimaryId=U112-O
      );

    U111 : AND2N1S                                           -- ObjectKind=Part|PrimaryId=U111|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_IN_ENB,                            -- ObjectKind=Pin|PrimaryId=U111-I0
        I1 => PinSignal_U118_Q,                              -- ObjectKind=Pin|PrimaryId=U111-I1
        O  => PinSignal_U111_O                               -- ObjectKind=Pin|PrimaryId=U111-O
      );

    U110 : AND3S                                             -- ObjectKind=Part|PrimaryId=U110|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U107_Q,                              -- ObjectKind=Pin|PrimaryId=U110-I0
        I1 => NamedSignal_CNT(3),                            -- ObjectKind=Pin|PrimaryId=U110-I1
        I2 => NamedSignal_CNT(4),                            -- ObjectKind=Pin|PrimaryId=U110-I2
        O  => PinSignal_U110_O                               -- ObjectKind=Pin|PrimaryId=U110-O
      );

    U109 : FD                                                -- ObjectKind=Part|PrimaryId=U109|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CLK,                                -- ObjectKind=Pin|PrimaryId=U109-C
        D => PinSignal_U108_O,                               -- ObjectKind=Pin|PrimaryId=U109-D
        Q => PinSignal_U109_Q                                -- ObjectKind=Pin|PrimaryId=U109-Q
      );

    U108 : AND2S                                             -- ObjectKind=Part|PrimaryId=U108|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_CLK0ENB,                           -- ObjectKind=Pin|PrimaryId=U108-I0
        I1 => PinSignal_U110_O,                              -- ObjectKind=Pin|PrimaryId=U108-I1
        O  => PinSignal_U108_O                               -- ObjectKind=Pin|PrimaryId=U108-O
      );

    U107 : FJKC                                              -- ObjectKind=Part|PrimaryId=U107|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U107-C
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U107-CLR
        J   => NamedSignal_1PPS,                             -- ObjectKind=Pin|PrimaryId=U107-J
        K   => PinSignal_U_timinglink_OUT_DONE,              -- ObjectKind=Pin|PrimaryId=U107-K
        Q   => PinSignal_U107_Q                              -- ObjectKind=Pin|PrimaryId=U107-Q
      );

    U106 : M32_B2B1                                          -- ObjectKind=Part|PrimaryId=U106|SecondaryId=1
      Port Map
      (
        A  => PinSignal_U_linkrcv_ADDR,                      -- ObjectKind=Pin|PrimaryId=U106-A[31..0]
        B  => NamedSignal_GND1_BUS,                          -- ObjectKind=Pin|PrimaryId=U106-B[31..0]
        S0 => NamedSignal_OCXO_PRESENT,                      -- ObjectKind=Pin|PrimaryId=U106-S0
        Y  => PinSignal_U106_Y                               -- ObjectKind=Pin|PrimaryId=U106-Y[31..0]
      );

    U105 : AND3N2S                                           -- ObjectKind=Part|PrimaryId=U105|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_CNT(4),                            -- ObjectKind=Pin|PrimaryId=U105-I0
        I1 => NamedSignal_CNT(3),                            -- ObjectKind=Pin|PrimaryId=U105-I1
        I2 => PinSignal_U102_Q,                              -- ObjectKind=Pin|PrimaryId=U105-I2
        O  => PinSignal_U105_O                               -- ObjectKind=Pin|PrimaryId=U105-O
      );

    U104 : FD                                                -- ObjectKind=Part|PrimaryId=U104|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CLK,                                -- ObjectKind=Pin|PrimaryId=U104-C
        D => PinSignal_U103_O,                               -- ObjectKind=Pin|PrimaryId=U104-D
        Q => PinSignal_U104_Q                                -- ObjectKind=Pin|PrimaryId=U104-Q
      );

    U103 : AND2S                                             -- ObjectKind=Part|PrimaryId=U103|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_CLK0ENB,                           -- ObjectKind=Pin|PrimaryId=U103-I0
        I1 => PinSignal_U105_O,                              -- ObjectKind=Pin|PrimaryId=U103-I1
        O  => PinSignal_U103_O                               -- ObjectKind=Pin|PrimaryId=U103-O
      );

    U102 : FJKC                                              -- ObjectKind=Part|PrimaryId=U102|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U102-C
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U102-CLR
        J   => PinSignal_U101_Q,                             -- ObjectKind=Pin|PrimaryId=U102-J
        K   => NamedSignal_IN_DONE,                          -- ObjectKind=Pin|PrimaryId=U102-K
        Q   => PinSignal_U102_Q                              -- ObjectKind=Pin|PrimaryId=U102-Q
      );

    U101 : FDE                                               -- ObjectKind=Part|PrimaryId=U101|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U101-C
        CE => NamedSignal_CLK0ENB,                           -- ObjectKind=Pin|PrimaryId=U101-CE
        D  => NamedSignal_1PPSIN,                            -- ObjectKind=Pin|PrimaryId=U101-D
        Q  => PinSignal_U101_Q                               -- ObjectKind=Pin|PrimaryId=U101-Q
      );

    U100 : OR8B                                              -- ObjectKind=Part|PrimaryId=U100|SecondaryId=1
      Port Map
      (
        I => PinSignal_U97_Q,                                -- ObjectKind=Pin|PrimaryId=U100-I[7..0]
        O => PinSignal_U100_O                                -- ObjectKind=Pin|PrimaryId=U100-O
      );

    U99 : FD                                                 -- ObjectKind=Part|PrimaryId=U99|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CLK,                                -- ObjectKind=Pin|PrimaryId=U99-C
        D => PinSignal_U98_O,                                -- ObjectKind=Pin|PrimaryId=U99-D
        Q => PinSignal_U99_Q                                 -- ObjectKind=Pin|PrimaryId=U99-Q
      );

    U98 : AND2S                                              -- ObjectKind=Part|PrimaryId=U98|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U96_O,                               -- ObjectKind=Pin|PrimaryId=U98-I0
        I1 => PinSignal_U100_O,                              -- ObjectKind=Pin|PrimaryId=U98-I1
        O  => PinSignal_U98_O                                -- ObjectKind=Pin|PrimaryId=U98-O
      );

    U97 : SR8REB                                             -- ObjectKind=Part|PrimaryId=U97|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U97-C
        CE  => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U97-CE
        Q   => PinSignal_U97_Q,                              -- ObjectKind=Pin|PrimaryId=U97-Q[7..0]
        R   => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U97-R
        SLI => NamedSignal_REFCLK0                           -- ObjectKind=Pin|PrimaryId=U97-SLI
      );

    U96 : NAND8B                                             -- ObjectKind=Part|PrimaryId=U96|SecondaryId=1
      Port Map
      (
        I => PinSignal_U97_Q,                                -- ObjectKind=Pin|PrimaryId=U96-I[7..0]
        O => PinSignal_U96_O                                 -- ObjectKind=Pin|PrimaryId=U96-O
      );

    U95 : FDEN                                               -- ObjectKind=Part|PrimaryId=U95|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U95-C
        CE => NamedSignal_CLK0ENB,                           -- ObjectKind=Pin|PrimaryId=U95-CE
        D  => NamedSignal_NM1,                               -- ObjectKind=Pin|PrimaryId=U95-D
        Q  => PinSignal_U95_Q,                               -- ObjectKind=Pin|PrimaryId=U95-Q
        QN => PinSignal_U95_QN                               -- ObjectKind=Pin|PrimaryId=U95-QN
      );

    U94 : FD                                                 -- ObjectKind=Part|PrimaryId=U94|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CNT(25),                            -- ObjectKind=Pin|PrimaryId=U94-C
        D => PinSignal_U87_Q3,                               -- ObjectKind=Pin|PrimaryId=U94-D
        Q => PinSignal_U94_Q                                 -- ObjectKind=Pin|PrimaryId=U94-Q
      );

    U93 : M2_S2S1                                            -- ObjectKind=Part|PrimaryId=U93|SecondaryId=1
      Port Map
      (
        A0 => VCO_SYNCIN,                                    -- ObjectKind=Pin|PrimaryId=U93-A0
        A1 => NamedSignal_LD2,                               -- ObjectKind=Pin|PrimaryId=U93-A1
        B0 => NamedSignal_REFCLK1,                           -- ObjectKind=Pin|PrimaryId=U93-B0
        B1 => LDZ,                                           -- ObjectKind=Pin|PrimaryId=U93-B1
        S0 => NamedSignal_OCXO_PRESENT,                      -- ObjectKind=Pin|PrimaryId=U93-S0
        Y0 => PinSignal_U93_Y0,                              -- ObjectKind=Pin|PrimaryId=U93-Y0
        Y1 => PinSignal_U93_Y1                               -- ObjectKind=Pin|PrimaryId=U93-Y1
      );

    U92 : INV                                                -- ObjectKind=Part|PrimaryId=U92|SecondaryId=1
      Port Map
      (
        I => NamedSignal_CNT(2),                             -- ObjectKind=Pin|PrimaryId=U92-I
        O => PinSignal_U92_O                                 -- ObjectKind=Pin|PrimaryId=U92-O
      );

    U91 : CB16REB                                            -- ObjectKind=Part|PrimaryId=U91|SecondaryId=1
      Port Map
      (
        C   => CLK,                                          -- ObjectKind=Pin|PrimaryId=U91-C
        CE  => PinSignal_U85_CEO,                            -- ObjectKind=Pin|PrimaryId=U91-CE
        CEO => PinSignal_U91_CEO,                            -- ObjectKind=Pin|PrimaryId=U91-CEO
        Q   => PinSignal_U91_Q,                              -- ObjectKind=Pin|PrimaryId=U91-Q[15..0]
        R   => NamedSignal_LDCNT,                            -- ObjectKind=Pin|PrimaryId=U91-R
        TC  => PinSignal_U91_TC                              -- ObjectKind=Pin|PrimaryId=U91-TC
      );

    U90 : NAND5S                                             -- ObjectKind=Part|PrimaryId=U90|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U87_Q0,                              -- ObjectKind=Pin|PrimaryId=U90-I0
        I1 => PinSignal_U87_Q1,                              -- ObjectKind=Pin|PrimaryId=U90-I1
        I2 => PinSignal_U87_Q2,                              -- ObjectKind=Pin|PrimaryId=U90-I2
        I3 => PinSignal_U91_TC,                              -- ObjectKind=Pin|PrimaryId=U90-I3
        I4 => PinSignal_U85_TC,                              -- ObjectKind=Pin|PrimaryId=U90-I4
        O  => PinSignal_U90_O                                -- ObjectKind=Pin|PrimaryId=U90-O
      );

    U89 : AND3S                                              -- ObjectKind=Part|PrimaryId=U89|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U86_Q0,                              -- ObjectKind=Pin|PrimaryId=U89-I0
        I1 => PinSignal_U86_Q1,                              -- ObjectKind=Pin|PrimaryId=U89-I1
        I2 => PinSignal_U86_Q2,                              -- ObjectKind=Pin|PrimaryId=U89-I2
        O  => PinSignal_U89_O                                -- ObjectKind=Pin|PrimaryId=U89-O
      );

    U88 : CB2RES                                             -- ObjectKind=Part|PrimaryId=U88|SecondaryId=1
      Port Map
      (
        C  => OCXO_CLK,                                      -- ObjectKind=Pin|PrimaryId=U88-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U88-CE
        Q0 => PinSignal_U88_Q0,                              -- ObjectKind=Pin|PrimaryId=U88-Q0
        Q1 => PinSignal_U88_Q1,                              -- ObjectKind=Pin|PrimaryId=U88-Q1
        R  => PowerSignal_GND                                -- ObjectKind=Pin|PrimaryId=U88-R
      );

    U87 : CB4RES                                             -- ObjectKind=Part|PrimaryId=U87|SecondaryId=1
      Port Map
      (
        C  => CLK,                                           -- ObjectKind=Pin|PrimaryId=U87-C
        CE => PinSignal_U91_CEO,                             -- ObjectKind=Pin|PrimaryId=U87-CE
        Q0 => PinSignal_U87_Q0,                              -- ObjectKind=Pin|PrimaryId=U87-Q0
        Q1 => PinSignal_U87_Q1,                              -- ObjectKind=Pin|PrimaryId=U87-Q1
        Q2 => PinSignal_U87_Q2,                              -- ObjectKind=Pin|PrimaryId=U87-Q2
        Q3 => PinSignal_U87_Q3,                              -- ObjectKind=Pin|PrimaryId=U87-Q3
        R  => NamedSignal_LDCNT                              -- ObjectKind=Pin|PrimaryId=U87-R
      );

    U86 : CB4RES                                             -- ObjectKind=Part|PrimaryId=U86|SecondaryId=1
      Port Map
      (
        C  => CLK,                                           -- ObjectKind=Pin|PrimaryId=U86-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U86-CE
        Q0 => PinSignal_U86_Q0,                              -- ObjectKind=Pin|PrimaryId=U86-Q0
        Q1 => PinSignal_U86_Q1,                              -- ObjectKind=Pin|PrimaryId=U86-Q1
        Q2 => PinSignal_U86_Q2,                              -- ObjectKind=Pin|PrimaryId=U86-Q2
        R  => PowerSignal_GND                                -- ObjectKind=Pin|PrimaryId=U86-R
      );

    U85 : CB4RLES                                            -- ObjectKind=Part|PrimaryId=U85|SecondaryId=1
      Port Map
      (
        C   => CLK,                                          -- ObjectKind=Pin|PrimaryId=U85-C
        CE  => PinSignal_U89_O,                              -- ObjectKind=Pin|PrimaryId=U85-CE
        CEO => PinSignal_U85_CEO,                            -- ObjectKind=Pin|PrimaryId=U85-CEO
        D0  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U85-D0
        D1  => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U85-D1
        D2  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U85-D2
        D3  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U85-D3
        L   => NamedSignal_LDCNT,                            -- ObjectKind=Pin|PrimaryId=U85-L
        Q0  => PinSignal_U85_Q0,                             -- ObjectKind=Pin|PrimaryId=U85-Q0
        Q1  => PinSignal_U85_Q1,                             -- ObjectKind=Pin|PrimaryId=U85-Q1
        Q2  => PinSignal_U85_Q2,                             -- ObjectKind=Pin|PrimaryId=U85-Q2
        Q3  => PinSignal_U85_Q3,                             -- ObjectKind=Pin|PrimaryId=U85-Q3
        R   => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U85-R
        TC  => PinSignal_U85_TC                              -- ObjectKind=Pin|PrimaryId=U85-TC
      );

    -- Signal Assignments
    ---------------------
    A                            <= PinSignal_U_linkrcv_A; -- ObjectKind=Net|PrimaryId=A[31..0]
    ADDR                         <= PinSignal_U106_Y; -- ObjectKind=Net|PrimaryId=ADDR[31..0]
    B                            <= PinSignal_U_linkrcv_B; -- ObjectKind=Net|PrimaryId=B[31..0]
    CNT                          <= NamedSignal_CNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]
    CNTROUT                      <= PinSignal_U92_O; -- ObjectKind=Net|PrimaryId=NetU92_O
    CRCERR                       <= PinSignal_U208_Q; -- ObjectKind=Net|PrimaryId=CRCERR[7..0]
    ERRC                         <= NamedSignal_ERC; -- ObjectKind=Net|PrimaryId=ERC[3..0]
    GPSRCV                       <= PinSignal_U_linkrcv_GPS; -- ObjectKind=Net|PrimaryId=GPSRCV[31..0]
    NamedSignal_1PPS             <= PinSignal_U95_QN; -- ObjectKind=Net|PrimaryId=1PPS
    NamedSignal_1PPSIN           <= PinSignal_U111_O; -- ObjectKind=Net|PrimaryId=1PPSIN
    NamedSignal_CLK              <= CLK; -- ObjectKind=Net|PrimaryId=CLK
    NamedSignal_CLK0ENB          <= PinSignal_U89_O; -- ObjectKind=Net|PrimaryId=CLK0ENB
    NamedSignal_CNT(0)           <= PinSignal_U86_Q0; -- ObjectKind=Net|PrimaryId=CNT0
    NamedSignal_CNT(1)           <= PinSignal_U86_Q1; -- ObjectKind=Net|PrimaryId=CNT1
    NamedSignal_CNT(2)           <= PinSignal_U86_Q2; -- ObjectKind=Net|PrimaryId=CNT2
    NamedSignal_CNT(22 Downto 7) <= PinSignal_U91_Q; -- ObjectKind=Net|PrimaryId=CNT[22..0]
    NamedSignal_CNT(23)          <= PinSignal_U87_Q0; -- ObjectKind=Net|PrimaryId=CNT23
    NamedSignal_CNT(24)          <= PinSignal_U87_Q1; -- ObjectKind=Net|PrimaryId=CNT24
    NamedSignal_CNT(25)          <= PinSignal_U87_Q2; -- ObjectKind=Net|PrimaryId=CNT25
    NamedSignal_CNT(3)           <= PinSignal_U85_Q0; -- ObjectKind=Net|PrimaryId=CNT3
    NamedSignal_CNT(4)           <= PinSignal_U85_Q1; -- ObjectKind=Net|PrimaryId=CNT4
    NamedSignal_CNT(5)           <= PinSignal_U85_Q2; -- ObjectKind=Net|PrimaryId=CNT5
    NamedSignal_CNT(6)           <= PinSignal_U85_Q3; -- ObjectKind=Net|PrimaryId=CNT6
    NamedSignal_DM1              <= PinSignal_U125_Q1; -- ObjectKind=Net|PrimaryId=DM1
    NamedSignal_ERC(0)           <= PinSignal_U119_Q0; -- ObjectKind=Net|PrimaryId=ERC0
    NamedSignal_ERC(1)           <= PinSignal_U119_Q1; -- ObjectKind=Net|PrimaryId=ERC1
    NamedSignal_ERC(2)           <= PinSignal_U119_Q2; -- ObjectKind=Net|PrimaryId=ERC2
    NamedSignal_ERC(3)           <= PinSignal_U119_Q3; -- ObjectKind=Net|PrimaryId=ERC3
    NamedSignal_GND1_BUS         <= "00000000000000000000000000000000"; -- ObjectKind=Net|PrimaryId=GND1_BUS[31..0]
    NamedSignal_IN_CE            <= PinSignal_U104_Q; -- ObjectKind=Net|PrimaryId=IN_CE
    NamedSignal_IN_CRCERR        <= PinSignal_U_timinglink_IN_CRCERR; -- ObjectKind=Net|PrimaryId=IN_CRCERR
    NamedSignal_IN_CRCOK         <= PinSignal_U_timinglink_IN_CRCOK; -- ObjectKind=Net|PrimaryId=IN_CRCOK
    NamedSignal_IN_D             <= PinSignal_U118_Q; -- ObjectKind=Net|PrimaryId=IN_D
    NamedSignal_IN_DONE          <= PinSignal_U_timinglink_IN_DONE; -- ObjectKind=Net|PrimaryId=IN_DONE
    NamedSignal_IN_ENB           <= PinSignal_U102_Q; -- ObjectKind=Net|PrimaryId=IN_ENB
    NamedSignal_LD2              <= PinSignal_U120_Q; -- ObjectKind=Net|PrimaryId=LD2
    NamedSignal_LDCNT            <= PinSignal_U93_Y1; -- ObjectKind=Net|PrimaryId=LDCNT
    NamedSignal_LOS              <= LOS; -- ObjectKind=Net|PrimaryId=LOS
    NamedSignal_M1               <= PinSignal_U206_O; -- ObjectKind=Net|PrimaryId=M1
    NamedSignal_N1PPS            <= PinSignal_U95_Q; -- ObjectKind=Net|PrimaryId=N1PPS
    NamedSignal_NDO              <= PinSignal_U113_O; -- ObjectKind=Net|PrimaryId=NDO
    NamedSignal_NDOENB           <= PinSignal_U110_O; -- ObjectKind=Net|PrimaryId=NDOENB
    NamedSignal_NM1              <= PinSignal_U90_O; -- ObjectKind=Net|PrimaryId=NM1
    NamedSignal_OCXO_PRESENT     <= PinSignal_U99_Q; -- ObjectKind=Net|PrimaryId=OCXO_PRESENT
    NamedSignal_ONEUS            <= "0000001010011111"; -- ObjectKind=Net|PrimaryId=ONEUS[15..0]
    NamedSignal_OUT_CE           <= PinSignal_U109_Q; -- ObjectKind=Net|PrimaryId=OUT_CE
    NamedSignal_OUT_D            <= PinSignal_U_timinglink_OUT_D; -- ObjectKind=Net|PrimaryId=OUT_D
    NamedSignal_REFCLK0          <= PinSignal_U88_Q0; -- ObjectKind=Net|PrimaryId=REFCLK0
    NamedSignal_REFCLK1          <= PinSignal_U88_Q1; -- ObjectKind=Net|PrimaryId=REFCLK1
    NamedSignal_RST              <= RST; -- ObjectKind=Net|PrimaryId=RST
    NamedSignal_VCO_SYNCIN       <= VCO_SYNCIN; -- ObjectKind=Net|PrimaryId=VCO_SYNCIN
    OCXO_PRESENT                 <= PinSignal_U99_Q; -- ObjectKind=Net|PrimaryId=OCXO_PRESENT
    PowerSignal_GND              <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC              <= '1'; -- ObjectKind=Net|PrimaryId=VCC
    SYNCOUT                      <= PinSignal_U125_Q0; -- ObjectKind=Net|PrimaryId=NetU125_Q0
    UP                           <= PinSignal_U114_O; -- ObjectKind=Net|PrimaryId=NetU114_O
    VCO_SYNC                     <= PinSignal_U93_Y0; -- ObjectKind=Net|PrimaryId=NetU93_Y0
    X_1PPS_LONG                  <= PinSignal_U209_O; -- ObjectKind=Net|PrimaryId=NetU207_CE
    X_1PPS_PARITY                <= PinSignal_U94_Q; -- ObjectKind=Net|PrimaryId=NetU94_Q
    X_1PPSIN                     <= NamedSignal_1PPSIN; -- ObjectKind=Net|PrimaryId=1PPSIN
    X_1PPSOUT                    <= PinSignal_U95_QN; -- ObjectKind=Net|PrimaryId=1PPS

End Structure;
------------------------------------------------------------

